fccd4c1998-03-28Henrik Grubbström (Grubba) #
78e25d2008-07-18Martin Stjernholm # $Id: Makefile.in,v 1.470 2008/07/18 01:03:12 mast Exp $
fccd4c1998-03-28Henrik Grubbström (Grubba) #
933d361996-04-29Fredrik Hübinette (Hubbe) # This line is needed on some machines. @SET_MAKE@
a9274a2005-12-30Martin Nilsson # Pike embed target, either libpike.so or libpike.a.
ec337d2004-12-29Henrik Grubbström (Grubba) PIKE_LIB=@PIKE_LIB@
933d361996-04-29Fredrik Hübinette (Hubbe) # Don't change this line. Define EXTRALIBS before this line if you # wish to add any libraries.
f3bce61996-06-21Fredrik Hübinette (Hubbe) LIBS=@LIBS@ $(EXTRALIBS)
933d361996-04-29Fredrik Hübinette (Hubbe) 
c1e9b11997-04-06Fredrik Hübinette (Hubbe) # This is normall the install program in the source directory
933d361996-04-29Fredrik Hübinette (Hubbe) INSTALL=@INSTALL@ SRCDIR=@srcdir@ VPATH=@srcdir@ # These are used while compiling
1a8e141997-02-27Fredrik Hübinette (Hubbe) LIBDIR_SRC = @LIBDIR@
933d361996-04-29Fredrik Hübinette (Hubbe) TMP_BINDIR = @BINDIR@ TMP_BUILDDIR = @BUILDDIR@
1a8e141997-02-27Fredrik Hübinette (Hubbe) TMP_LIBDIR = $(TMP_BUILDDIR)/lib
933d361996-04-29Fredrik Hübinette (Hubbe) 
f5a9c22003-01-09Henrik Grubbström (Grubba) # This is used during autodoc extraction. DOCDIR = @DOCDIR@
98a11d2002-08-01Martin Nilsson # These are used during binary exports and installation. MANDIR_SRC = @MANDIR@
0df63c2003-11-04H. William Welliver III DOCDIR_SRC = @DOCDIR@
98a11d2002-08-01Martin Nilsson BASEDIR = @BASEDIR@
35f7a02004-12-04Henrik Grubbström (Grubba) PACKAGINGDIR = $(SRCDIR)/../packaging
98a11d2002-08-01Martin Nilsson 
fdb4d02002-07-26Henrik Grubbström (Grubba) # These are used by the files generated by fixdepends.sh PIKE_SRC_DIR=$(SRCDIR) BUILD_BASE=
26f3da2000-07-11Fredrik Hübinette (Hubbe) # # RPM and package builders, listen up, because this is your only # documentation! This variable is prepended to the install path. # Please note that Pike will not work until moved into the proper # place. -Hubbe # buildroot=
933d361996-04-29Fredrik Hübinette (Hubbe) prefix = @prefix@ exec_prefix = $(prefix)/bin
06983f1996-09-22Fredrik Hübinette (Hubbe) lib_prefix = $(prefix)/lib/pike
9defa21998-04-21Henrik Grubbström (Grubba) data_prefix = @datadir@ share_prefix = $(data_prefix)/pike
c6f3ee1998-09-29Henrik Grubbström (Grubba) man_prefix = $(prefix)/man
116cf52008-06-29Marcus Agehall include_prefix = @includedir@
933d361996-04-29Fredrik Hübinette (Hubbe) 
21c1f71999-10-21Henrik Grubbström (Grubba) # Arguments for test_pike.pike used by the verify targets.
450dd92004-04-23Henrik Grubbström (Grubba) # TESTARGS = -F -a
21c1f71999-10-21Henrik Grubbström (Grubba) 
a17f0f2000-04-30Henrik Grubbström (Grubba) # Arguments for install.pike used by the install targets. INSTALLARGS = --new-style
933d361996-04-29Fredrik Hübinette (Hubbe) #
1a8e141997-02-27Fredrik Hübinette (Hubbe) # use bison please, yacc isn't good enough.
933d361996-04-29Fredrik Hübinette (Hubbe) # YACC=@YACC@ YFLAGS=-d -v #
91006b2000-03-21Fredrik Hübinette (Hubbe) # This may be -pg # PROFIL=@PROFIL@
933d361996-04-29Fredrik Hübinette (Hubbe)  #
1a5be11997-11-03Henrik Grubbström (Grubba) # OS dependant flags #
3e35432006-09-29Henrik Grubbström (Grubba) OSFLAGS=@OSFLAGS@
1a5be11997-11-03Henrik Grubbström (Grubba)  #
933d361996-04-29Fredrik Hübinette (Hubbe) #Enable warnings from the compiler, if wanted. # WARN=@WARN@ #add extra defines here
af56471996-12-03Fredrik Hübinette (Hubbe) DEFINES=@CPPFLAGS@
933d361996-04-29Fredrik Hübinette (Hubbe)  # -O should work with all compilers OPTIMIZE=@OPTIMIZE@
168c042003-01-10Mirar (Pontus Hagland) # interpret.o can't have -fomit-frame-pointer INTERPRET_DEOPTIMIZE=@INTERPRET_DEOPTIMIZE@
e09c9e1999-08-13Martin Stjernholm # Set to a flag for parallelizing make, e.g. -j2. It's given to make # at the level where it's most effective. MAKE_PARALLEL=
933d361996-04-29Fredrik Hübinette (Hubbe) # Preprocessor flags.
cbb2be2003-02-04Martin Stjernholm PREFLAGS=-DPIKE_SRC_ROOT="$(BASEDIR)" -I. -I$(SRCDIR) $(DEFINES)
e4439c1998-09-01Fredrik Hübinette (Hubbe) OTHERFLAGS=@CFLAGS@ $(OSFLAGS) $(OPTIMIZE) $(WARN) $(PROFIL)
1909941997-11-04Henrik Grubbström (Grubba) NOOPTFLAGS=@CFLAGS@ @CPPFLAGS@ $(OSFLAGS) $(WARN) $(PROFIL)
933d361996-04-29Fredrik Hübinette (Hubbe) CFLAGS=$(PREFLAGS) $(OTHERFLAGS)
902adf1998-01-23Henrik Grubbström (Grubba) SMARTLINK=@SMARTLINK@ REALCC=@REALCC@
933d361996-04-29Fredrik Hübinette (Hubbe) CC=@CC@ CPP=@CPP@
08b17a2006-04-16Henrik Grubbström (Grubba) GDB=gdb
933d361996-04-29Fredrik Hübinette (Hubbe) 
c82c732004-10-20Henrik Grubbström (Grubba) CANDLE=@CANDLE@ -nologo LIGHT=@LIGHT@ -nologo
913e362006-08-04Martin Stjernholm RCEXE=@RCEXE@
c82c732004-10-20Henrik Grubbström (Grubba) 
ab46f72000-08-06Henrik Grubbström (Grubba) FALLBACK_CC=@FALLBACK_CC@
1909941997-11-04Henrik Grubbström (Grubba) AR=@AR@
0809711998-02-27Marcus Comstedt LD=@LD@
116cf52008-06-29Marcus Agehall LINKFORSHARED=@LINKFORSHARED@ LDFLAGS=@LDFLAGS@ $(LINKFORSHARED) $(EXTRALDFLAGS)
ec337d2004-12-29Henrik Grubbström (Grubba) LDSHARED=@LDSHARED@
933d361996-04-29Fredrik Hübinette (Hubbe) 
546ce12006-08-02Martin Stjernholm DEFAULT_RUNPIKE=$(TMP_BUILDDIR)/pike -DNOT_INSTALLED -DPRECOMPILED_SEARCH_MORE -m$(TMP_BUILDDIR)/master.pike $(PIKEOPTS) USE_TPIKE=$(TMP_BUILDDIR)/precompile.sh
c6f4a82002-01-27Martin Stjernholm USE_PIKE=pike $(PIKEOPTS) RUNPIKE=$(@RUNPIKE@)
546ce12006-08-02Martin Stjernholm RUNTPIKE=$(@RUNTPIKE@)
4839dd2001-09-02Marcus Comstedt PIKE_MODULE_RELOC=@PIKE_MODULE_RELOC@
933d361996-04-29Fredrik Hübinette (Hubbe) 
a924142002-11-18Henrik Grubbström (Grubba) # Set to an appropriate invocation of valgrind (or similar) VALGRIND=@VALGRIND@
e040cf2002-11-23Martin Stjernholm VALGRINDARGS=@VALGRINDARGS@
a924142002-11-18Henrik Grubbström (Grubba) 
b111821999-11-18Fredrik Hübinette (Hubbe) MAKE_FLAGS=
933d361996-04-29Fredrik Hübinette (Hubbe)  # Add alloca.o if you don't have alloca() on your machine. #
9eab532006-02-27Martin Stjernholm CORE_OBJ= \
90c62d1997-01-26Fredrik Hübinette (Hubbe)  language.o \
fadd1d1999-01-21Fredrik Hübinette (Hubbe)  security.o \
fda0de1999-10-08Fredrik Noring  bignum.o \
aad99b2001-03-28Fredrik Hübinette (Hubbe)  pike_cpulib.o \
d4c0211998-05-05Henrik Grubbström (Grubba)  interpret.o \
06983f1996-09-22Fredrik Hübinette (Hubbe)  constants.o \
5740881998-01-01Fredrik Hübinette (Hubbe)  cpp.o \ fdlib.o \
fc33451997-10-02Fredrik Hübinette (Hubbe)  cyclic.o \
f3bce61996-06-21Fredrik Hübinette (Hubbe)  array.o \ backend.o \ callback.o \
90c62d1997-01-26Fredrik Hübinette (Hubbe)  encode.o \
f3bce61996-06-21Fredrik Hübinette (Hubbe)  docode.o \ dynamic_buffer.o \
ca74dd1996-10-08Fredrik Hübinette (Hubbe)  dynamic_load.o \
f3bce61996-06-21Fredrik Hübinette (Hubbe)  error.o \ fd_control.o \ fsort.o \ gc.o \ hashtable.o \ lex.o \
06983f1996-09-22Fredrik Hübinette (Hubbe)  multiset.o \ signal_handler.o \
9b1f032000-10-09Fredrik Hübinette (Hubbe)  pike_search.o \
06983f1996-09-22Fredrik Hübinette (Hubbe)  pike_types.o \
ec337d2004-12-29Henrik Grubbström (Grubba)  pike_embed.o \
f3bce61996-06-21Fredrik Hübinette (Hubbe)  mapping.o \
9aa6fa1997-05-19Fredrik Hübinette (Hubbe)  pike_memory.o \
dfa0b61997-01-21Fredrik Hübinette (Hubbe)  module_support.o \
dd6bca2001-07-20Henrik Grubbström (Grubba)  pikecode.o \
f3bce61996-06-21Fredrik Hübinette (Hubbe)  object.o \ opcodes.o \ operators.o \ port.o \ program.o \
ab56702001-04-30Martin Stjernholm  rbtree.o \
f3bce61996-06-21Fredrik Hübinette (Hubbe)  rusage.o \
0b8aa52003-11-14Martin Stjernholm  sscanf.o \
f3bce61996-06-21Fredrik Hübinette (Hubbe)  stralloc.o \ stuff.o \
07513e1996-10-04Fredrik Hübinette (Hubbe)  threads.o \
6265aa1997-01-18Fredrik Hübinette (Hubbe)  version.o \
991e5a1998-04-28Fredrik Hübinette (Hubbe)  queue.o \
3a5b1d2000-05-24Fredrik Hübinette (Hubbe)  builtin.o \
4cdb802001-02-23Fredrik Hübinette (Hubbe)  iterators.o \
528fe12004-10-23Martin Nilsson  facetgroup.o \
8e94642003-02-20Martin Stjernholm  svalue.o \ las.o \ builtin_functions.o \ peep.o \
9eab532006-02-27Martin Stjernholm  @DLOPEN_O@ @EXTRA_OBJS@
9479712006-08-02Martin Stjernholm OBJ=$(CORE_OBJ) @MODULE_O@
f3248c1996-08-03Fredrik Hübinette (Hubbe) 
1f21332000-07-28Fredrik Hübinette (Hubbe) MODULE_REQUIREMENTS= \
8a27d42006-06-18Martin Stjernholm  headerfiles-stamp \
1f21332000-07-28Fredrik Hübinette (Hubbe)  machine.h \ global.h \
06e5432001-06-21Fredrik Hübinette (Hubbe)  precompile.sh-stamp \
1f21332000-07-28Fredrik Hübinette (Hubbe)  modules/static_module_makefile \ modules/dynamic_module_makefile \
ee73122006-07-05Martin Stjernholm  propagated_variables \
1f21332000-07-28Fredrik Hübinette (Hubbe)  $(SRCDIR)/language.h \
2ecd522001-01-12Martin Stjernholm  $(SRCDIR)/interpret_protos.h \
f677732001-01-19Henrik Grubbström (Grubba)  lib @EXTRA_MODULE_REQUIREMENTS@
ab46f72000-08-06Henrik Grubbström (Grubba) 
c6f4a82002-01-27Martin Stjernholm SRC_TARGETS= \
3a5b1d2000-05-24Fredrik Hübinette (Hubbe)  $(SRCDIR)/language.c \
c6f4a82002-01-27Martin Stjernholm  $(SRCDIR)/language.h \ $(SRCDIR)/interpret_protos.h \
7626bf2002-04-30Martin Stjernholm  $(SRCDIR)/interpret_functions_fixed.h \
5f84582002-03-09Martin Stjernholm  $(SRCDIR)/peep_engine.c \ $(SRCDIR)/case_info.h \
0c308e2003-02-20Henrik Grubbström (Grubba)  $(SRCDIR)/treeopt.h @PMOD_TARGETS@
f173082001-02-01Fredrik Hübinette (Hubbe) 
632b191999-11-08Henrik Grubbström (Grubba)  #
933d361996-04-29Fredrik Hübinette (Hubbe) # User callable targets #
e3436f2002-04-11Martin Stjernholm # Update the dumped modules, but only if dump_modules has been used earlier.
6a08802006-06-18Martin Stjernholm all: module_objects post_module_objects pike-complete-stamp tools
47170b2006-08-04Martin Stjernholm  @if [ -f dumpversion ]; then \ echo "$(MAKE) $(MAKE_FLAGS) dump_modules"; \ $(MAKE) $(MAKE_FLAGS) dump_modules; \ else :; fi
723fdb2001-11-26Henrik Grubbström (Grubba)  @if [ "`find . -name '*.fail' -print`" = "" ]; then :; else \ echo; \ echo "Pike compiled and linked ok, but the following file(s) "; \ echo "failed to compile with full optimization.";\ echo "This may affect performance negatively."; \ find . -name '*.fail' -print | sed -e 's/\.fail$$//' -e 's/^/ /'; \ echo; \ fi
68e8ab1999-11-07Per Hedbor 
607ddd2004-09-30Martin Bähr doc: documentation
f5a9c22003-01-09Henrik Grubbström (Grubba) documentation: onepage.xml traditional.xml modref.xml
a64c262003-03-25Martin Nilsson  cd $(DOCDIR) && $(MAKE) $(MAKE_FLAGS) PIKE="$(RUNPIKE)" \ BUILDDIR="$(TMP_BUILDDIR)" $(DOCTARGET)
14d6242001-04-21Henrik Grubbström (Grubba) 
b69eba2006-04-22Henrik Grubbström (Grubba) # Creation of bundles/include/pike/.
8a27d42006-06-18Martin Stjernholm headerfiles-stamp: bundles/include/pike machine.h global.h $(SRC_TARGETS) force
b69eba2006-04-22Henrik Grubbström (Grubba)  @$(MAKE) $(MAKE_FLAGS) headerfiles_low HEADERS="machine.h" HEADERSOURCE="`pwd`" @$(MAKE) $(MAKE_FLAGS) headerfiles_low HEADERS="`cd $(SRCDIR) && echo *.h`" HEADERSOURCE="$(SRCDIR)"
8a27d42006-06-18Martin Stjernholm  @test -f headerfiles-stamp || echo foo > headerfiles-stamp
b69eba2006-04-22Henrik Grubbström (Grubba)  headerfiles_low: force @for f in $(HEADERS); do \ if [ -h "bundles/include/pike/$$f" ]; then continue; fi; \ if cmp "$(HEADERSOURCE)/$$f" "bundles/include/pike/$$f" >/dev/null 2>&1 ; then continue; fi; \ rm -f bundles/include/pike/$$f 2>/dev/null; \ echo "Creating bundles/include/pike/$$f"; \ if ln -s "$(HEADERSOURCE)/$$f" "bundles/include/pike/$$f" && \ ls -L "bundles/include/pike/$$f" >/dev/null 2>&1; then :; else \ echo "Symlink failed."; \ cp "$(HEADERSOURCE)/$$f" "bundles/include/pike/$$f" || exit 1; \ fi; \
8a27d42006-06-18Martin Stjernholm  echo foo > headerfiles-stamp; \
b69eba2006-04-22Henrik Grubbström (Grubba)  done bundles/include/pike: bundles/include test -d bundles/include/pike/. || mkdir bundles/include/pike bundles/include: bundles test -d bundles/include/. || mkdir bundles/include bundles: test -d bundles/. || mkdir bundles
84999f1998-08-07Henrik Grubbström (Grubba) compiler-warnings : clean @echo Summarizing compiler warnings. @echo @if $(MAKE) $(MAKE_FLAGS) all 2>compiler-warnings ; then \ echo; \ echo 'Compilation warning summary:'; \
95d3131998-08-07Henrik Grubbström (Grubba)  echo '----------------------------'; \
84999f1998-08-07Henrik Grubbström (Grubba)  else \ echo; \ echo 'Compilation warning and error summary:'; \
95d3131998-08-07Henrik Grubbström (Grubba)  echo '--------------------------------------'; \
84999f1998-08-07Henrik Grubbström (Grubba)  fi
95d3131998-08-07Henrik Grubbström (Grubba)  @echo
84999f1998-08-07Henrik Grubbström (Grubba)  @cat compiler-warnings
95d3131998-08-07Henrik Grubbström (Grubba)  @echo @echo 'End of summary' @echo '--------------'
84999f1998-08-07Henrik Grubbström (Grubba) 
1308a82007-07-31H. William Welliver III # # We assume that Pike.framework will be used as an embedded framework within an application bundle. # if you want to install the framework in a standard location, like /Library/Frameworks, you will # need to use install_name_tool to change the location. don't blame me, blame dyld. #
93d2312007-01-06H. William Welliver III framework: OCPikeInterpreter.o $(OBJ) modules/linker_options @STATIC_POST_MODULES_LINKOPTS@ @echo "Linking Pike.framework";\
390a5f2007-01-24H. William Welliver III  gcc -o Pike OCPikeInterpreter.o $(OBJ) `cat modules/linker_options @STATIC_POST_MODULES_LINKOPTS@` -framework Cocoa -dynamiclib -Wl,-single_module \
1308a82007-07-31H. William Welliver III  -undefined dynamic_lookup -mmacosx-version-min=10.4 -current_version 7.7 -install_name @executable_path/../Frameworks/Pike.framework/Pike \
93d2312007-01-06H. William Welliver III  -isysroot /Developer/SDKs/MacOSX10.4u.sdk
390a5f2007-01-24H. William Welliver III  ls -l Pike if test -x Pike.framework ; then rm -rf Pike.framework; fi mkdir Pike.framework mkdir Pike.framework/Versions
4cb3e82007-07-31H. William Welliver III  mkdir Pike.framework/Versions/7.7 mkdir Pike.framework/Versions/7.7/Headers mkdir Pike.framework/Versions/7.7/Resources mkdir Pike.framework/Versions/7.7/Resources/lib mv Pike Pike.framework/Versions/7.7 cd Pike.framework/Versions && ln -s 7.7 Current
390a5f2007-01-24H. William Welliver III  cd Pike.framework && ln -s Versions/Current/Resources Resources && ln -s Versions/Current/Headers Headers && \ ln -s Versions/Current/Pike Pike
4cb3e82007-07-31H. William Welliver III  cp $(SRCDIR)/*.h Pike.framework/Versions/7.7/Headers cp *.h Pike.framework/Versions/7.7/Headers cp $(PACKAGINGDIR)/macosx/framework_Info.plist Pike.framework/Versions/7.7/Resources/Info.plist MACHINE=`uname -m | tr " " "_"` && mkdir Pike.framework/Versions/7.7/Resources/$$MACHINE && cp -rf lib/* Pike.framework/Versions/7.7/Resources/$$MACHINE cp -rf $(SRCDIR)/../lib/* Pike.framework/Versions/7.7/Resources/lib cp master.pike Pike.framework/Versions/7.7/Resources/lib
390a5f2007-01-24H. William Welliver III  cd Pike.framework && find . -type f -name '*.in' -exec rm -f {} \; cd Pike.framework && find . -type d -name CVS -prune -exec rm -rf {} \;
93d2312007-01-06H. William Welliver III 
9479712006-08-02Martin Stjernholm libpike.so: $(OBJ) modules/linker_options @STATIC_POST_MODULES_LINKOPTS@
a9274a2005-12-30Martin Nilsson  @echo "Linking libpike.so";\ if $(TMP_BINDIR)/smartlink "$(LDSHARED)" $(LDFLAGS) -o libpike.@SO@ \
9479712006-08-02Martin Stjernholm  $(OBJ) `cat modules/linker_options @STATIC_POST_MODULES_LINKOPTS@` \
ec337d2004-12-29Henrik Grubbström (Grubba)  $(LIBS); then \ if test "@SO@" != so ; then mv "module.@SO@" module.so ; \ else :; fi ;\ else \ echo "Linking failed:" >&2; \
a9274a2005-12-30Martin Nilsson  echo $(TMP_BINDIR)/smartlink "$(LDSHARED)" $(LDFLAGS) -o libpike.@SO@ \
9479712006-08-02Martin Stjernholm  $(OBJ) `cat modules/linker_options @STATIC_POST_MODULES_LINKOPTS@` \
ec337d2004-12-29Henrik Grubbström (Grubba)  $(LIBS) >&2 ;\ exit 1; \ fi # FIXME: Static linked version; this doesn't work yet! # Since we need to split linker_options into archives and options.
9479712006-08-02Martin Stjernholm libpike.a: $(OBJ) modules/linker_options @STATIC_POST_MODULES_LINKOPTS@
a9274a2005-12-30Martin Nilsson  -rm -f libpike.a $(AR) cq libpike.a $(OBJ) -@RANLIB@ libpike.a
ec337d2004-12-29Henrik Grubbström (Grubba) 
57bbcc2006-08-02Martin Stjernholm # tpike is only used when dynamic modules aren't. It's a pike with no # post modules linked in which is used during building of the post # modules.
973b712006-08-04Martin Stjernholm tpike-real: main.o $(CORE_OBJ) tmodule.o modules/linker_options
57bbcc2006-08-02Martin Stjernholm  -@rm -f tpike tpike.exe
9eab532006-02-27Martin Stjernholm  $(LD) $(LDFLAGS) main.o $(CORE_OBJ) tmodule.o \ `cat modules/linker_options` \ $(LIBS) -o tpike
57bbcc2006-08-02Martin Stjernholm # Only want tpike to exist for use with $(RUNPIKE) in the modules. We # don't want to require it actually being up-to-date.
973b712006-08-04Martin Stjernholm tpike: master-stamp
57bbcc2006-08-02Martin Stjernholm  $(MAKE) $(MAKE_FLAGS) $(MAKE_PARALLEL) tpike-real
1ebabb2006-06-18Martin Stjernholm 
9479712006-08-02Martin Stjernholm # If we build without dynamic modules then tpike is built first with # all modules under modules/ linked into it, then tpike is used for # post_modules source targets, and then pike is linked with both # modules/ and post_modules/. # # If we build with dynamic modules then pike is built first with the # few always-static modules under modules/, then the dynamic modules # under modules/ are built, then pike is used for post_modules source # targets, and then all modules under post_modules/ are built # dynamically. # # This means that a post_module can't be always-static and can't add # stuff to the pike linkage using LINKER_OPTIONS. #
40cc5a2006-08-05Martin Stjernholm # @LDSHARED_BASE_REQS@ expands to pike.lib if dynamic DLL modules are # used on NT.
913e362006-08-04Martin Stjernholm pike pike.lib: main.o $(OBJ) master-stamp pike.syms modules/linker_options @STATIC_POST_MODULES_LINKOPTS@ @PIKE_ICON_RES@
632b191999-11-08Henrik Grubbström (Grubba)  -@if [ -f pike.old.exe ] ; then rm -f pike.old.exe || : ; else : ; fi
8e8e782005-01-08Henrik Grubbström (Grubba)  -@if [ -f pike.old ] ; then rm -f pike.old || : ; else : ; fi -@if [ -f pike.exe ] ; then mv pike.exe pike.old.exe || : ; else : ; fi
632b191999-11-08Henrik Grubbström (Grubba)  -@if [ -f pike ] ; then mv pike pike.old || : ; else : ; fi
d9ea112004-12-30Henrik Grubbström (Grubba) # $(LD) $(LDFLAGS) main.o @DLOPEN_O@ -o pike
ec337d2004-12-29Henrik Grubbström (Grubba)  $(LD) $(LDFLAGS) main.o $(OBJ) \
9479712006-08-02Martin Stjernholm  `cat modules/linker_options @STATIC_POST_MODULES_LINKOPTS@` \
913e362006-08-04Martin Stjernholm  $(LIBS) @PIKE_ICON_RES@ -o pike
d175152006-08-02Martin Stjernholm  @MT_FIX_PIKE_EXE@
5338cd2002-06-01Martin Stjernholm # The dumped modules are removed whenever Pike is relinked since some # of the bytecode methods (e.g. ia32) stores absolute addresses to # global structs. That should probably be fixed in them so that dumped # modules aren't link order dependent.
47170b2006-08-04Martin Stjernholm  @if [ -f dumpversion ]; then \ echo "$(MAKE) $(MAKE_FLAGS) delete_dumped_modules"; \ $(MAKE) $(MAKE_FLAGS) delete_dumped_modules; \ else :; fi
933d361996-04-29Fredrik Hübinette (Hubbe) 
bb84072004-01-10Henrik Grubbström (Grubba) # gcov gcov: @for f in `cd "$(SRCDIR)" && find . -type f -name '*.c' -print`; do \
64e3de2004-01-12Henrik Grubbström (Grubba)  if test -f `echo $$f | sed -e 's/\.$$/.bb/'`; then \ for gf in `gcov $$f | sed -e 's/Creating \(.*\)\.gcov.*/\1.gcov/p' -ed`; do \ echo "Generating $$f-$$gf."; \ test -f "$$f-$$gf" && rm -f "$$f-$$gf"; \ mv "$$gf" "$$f-$$gf"; \ done; \ else \ :; \ fi; \
bb84072004-01-10Henrik Grubbström (Grubba)  done
64e3de2004-01-12Henrik Grubbström (Grubba)  @echo @echo "Summary:" @for f in `find . -name '*.gcov' -print`; do \
fdc35a2004-01-13Henrik Grubbström (Grubba)  grep '######' $$f | \ grep -v fatal | \ grep -v -i inline | \ grep -v PIKE_MODULE_EXIT | \ egrep -v '######[ ]*{$$' | \ egrep -v '######[ ]*}$$' | \ wc -l | sed -e "s|^|$$f:|" -e 's/:[ ]*/:/' | \ grep -v ':0'; \
64e3de2004-01-12Henrik Grubbström (Grubba)  done | sort -n -t: -k2
bb84072004-01-10Henrik Grubbström (Grubba) 
933d361996-04-29Fredrik Hübinette (Hubbe) # purify
8e94642003-02-20Martin Stjernholm pure: $(OBJ) master-stamp module_objects
d0a5641997-10-15Henrik Grubbström (Grubba)  -@mv pike pike.old 2>/dev/null || true
9479712006-08-02Martin Stjernholm  $(SMARTLINK) purify -max-threads=128 -thread_stack_change=8192 -free-queue-length=500 -inuse-at-exit=yes -chain-length=12 $(REALCC) $(LDFLAGS) $(OBJ) `cat modules/linker_options @STATIC_POST_MODULES_LINKOPTS@` $(LIBS) -o pike
933d361996-04-29Fredrik Hübinette (Hubbe)  # purecov
8e94642003-02-20Martin Stjernholm cover: $(OBJ) master-stamp module_objects
d0a5641997-10-15Henrik Grubbström (Grubba)  -@mv pike pike.old 2>/dev/null || true
9479712006-08-02Martin Stjernholm  $(SMARTLINK) purecov purify -max-threads=128 -thread_stack_change=8192 -free-queue-length=500 -inuse-at-exit=yes -chain-length=12 $(REALCC) $(LDFLAGS) $(OBJ) `cat modules/linker_options @STATIC_POST_MODULES_LINKOPTS@` $(LIBS) -o pike
933d361996-04-29Fredrik Hübinette (Hubbe)  # quantify
8e94642003-02-20Martin Stjernholm quant: $(OBJ) master-stamp module_objects
d0a5641997-10-15Henrik Grubbström (Grubba)  -@mv pike pike.old 2>/dev/null || true
9479712006-08-02Martin Stjernholm  $(SMARTLINK) quantify $(REALCC) $(LDFLAGS) $(OBJ) `cat modules/linker_options @STATIC_POST_MODULES_LINKOPTS@` $(LIBS) -o pike
1a5be11997-11-03Henrik Grubbström (Grubba) 
80264a2004-12-30Martin Nilsson splint: splint $(PREFLAGS) -warnposix +charintliteral -realcompare -boolops -predboolint $(FILE)
6a08802006-06-18Martin Stjernholm atom: pike-complete-stamp
2a34ce1998-08-02Henrik Grubbström (Grubba)  atom pike -tool atom -env threads -g -v `find lib/modules -type f -name '*.so' -print | sed -e 's/^/-incobj /g'`
c6c7121998-04-08Fredrik Hübinette (Hubbe)  mv pike pike.pre-atom mv pike.third.threads pike @echo Make sure you have '.' in your LD_LIBRARY_PATH.
fccd4c1998-03-28Henrik Grubbström (Grubba) 
6a08802006-06-18Martin Stjernholm pixie: pike-complete-stamp
4cb4be1998-04-23Fredrik Hübinette (Hubbe)  atom pike -tool pixie -env threads -g -v `find lib/modules -type f -name '*.so' -print | sed -e 's/^/-incobj /g'`
5ff0ec1998-04-15Fredrik Hübinette (Hubbe)  mv pike pike.pre-pixie mv pike.pixie.threads pixie @echo Make sure you have '.' in your LD_LIBRARY_PATH.
2647272002-04-07Martin Nilsson tools: hilfe rsif
fccd4c1998-03-28Henrik Grubbström (Grubba) hilfe: $(TMP_BINDIR)/hilfe Makefile
2647272002-04-07Martin Nilsson  @echo "Creating hilfe..."; \
9c5c6b2002-09-05Marcus Comstedt  ( sed -e 's!/usr/bin/env pike!$(exec_prefix)/pike!' \ <$(TMP_BINDIR)/hilfe >./hilfe && chmod 755 ./hilfe) || exit 1 ;
2647272002-04-07Martin Nilsson  rsif: $(TMP_BINDIR)/rsif Makefile @echo "Creating rsif..."; \
9c5c6b2002-09-05Marcus Comstedt  ( sed -e 's!pike!$(exec_prefix)/pike!' <$(TMP_BINDIR)/rsif \
2647272002-04-07Martin Nilsson  >./rsif && chmod 755 ./rsif) || exit 1 ;
fccd4c1998-03-28Henrik Grubbström (Grubba) 
6a08802006-06-18Martin Stjernholm dump_modules: pike-complete-stamp master-stamp
a25fe22002-09-09Martin Stjernholm  -rm dumpmodule.log
e3436f2002-04-11Martin Stjernholm  args="$(DUMPARGS)"; \
ceacfa2002-05-31Martin Stjernholm  args=$${args:-"--log-file --update-only=dumpversion --report-failed"}; \
eda59c2003-06-03Martin Nilsson  $(RUNPIKE) -x dump $$args \
e3436f2002-04-11Martin Stjernholm  --recursive --target-dir=lib "$(LIBDIR_SRC)/modules"
fccd4c1998-03-28Henrik Grubbström (Grubba) 
67a7192002-03-10Martin Stjernholm force_dump_modules: -rm dumpversion 2>/dev/null $(MAKE) $(MAKE_FLAGS) dump_modules
5338cd2002-06-01Martin Stjernholm delete_dumped_modules:
a312e52002-05-01Martin Stjernholm  -find lib -type f -name \*.o | xargs rm -f
5338cd2002-06-01Martin Stjernholm  undump_modules: delete_dumped_modules
a312e52002-05-01Martin Stjernholm  -rm dumpversion 2>/dev/null
c738b62003-10-28Martin Nilsson .SUFFIXES:
93d2312007-01-06H. William Welliver III .SUFFIXES: .c .h .o .m .mmod .cmod .symlist .pp .pph .protos .h_src .wxs .wixobj .msi .msm
1f21332000-07-28Fredrik Hübinette (Hubbe)  .c.pp:
dbecc32000-10-30Henrik Grubbström (Grubba)  $(CPP) $(PREFLAGS) -DPMOD_EXPORT=PMOD_EXPORT \ -DPMOD_PROTO=PMOD_PROTO "$<" >"$@"
1f21332000-07-28Fredrik Hübinette (Hubbe) 
8cb5492001-11-12Martin Stjernholm .c.protos: precompile.sh-stamp
c9788b2002-03-09Martin Stjernholm  ./precompile.sh --cache fake_dynamic_load.pike >"$@" --cpp --protos \
dbecc32000-10-30Henrik Grubbström (Grubba)  $(CPP) $(PREFLAGS) -DPMOD_EXPORT=PMOD_EXPORT \
d0f91a2001-01-26Martin Stjernholm  -DPMOD_PROTO=PMOD_PROTO -DPIKE_PRECOMPILER=1 "$<" || \ { rm "$@"; exit 1; }
1f21332000-07-28Fredrik Hübinette (Hubbe)  .h.pph:
dbecc32000-10-30Henrik Grubbström (Grubba)  $(CPP) $(PREFLAGS) -DPMOD_EXPORT=PMOD_EXPORT \ -DPMOD_PROTO=PMOD_PROTO "$<" >"$@"
1f21332000-07-28Fredrik Hübinette (Hubbe) 
c1583e1999-10-04Fredrik Hübinette (Hubbe) 
1a5be11997-11-03Henrik Grubbström (Grubba) # Several optimizers have problems with interpret.c # First try compiling with optimization and if that doesn't work, without.
c1583e1999-10-04Fredrik Hübinette (Hubbe) # GCC dumps core on some files @ OSF1 # This kluge should work around that...
168c042003-01-10Mirar (Pontus Hagland) # Extra kludge added: interpret.o gets special flags (deoptimization)
c1583e1999-10-04Fredrik Hübinette (Hubbe) .c.o:
fb3fef2006-06-21Martin Stjernholm  @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \
610d052001-07-06Henrik Grubbström (Grubba)  rm -f $@.fail >/dev/null 2>&1; \
168c042003-01-10Mirar (Pontus Hagland)  if test "x$@" = "xinterpret.o"; then EXTRAFLAGS="$(INTERPRET_DEOPTIMIZE)"; else EXTRAFLAGS=; fi; \ if $(CC) $(CFLAGS) $$EXTRAFLAGS -c $< -o $@ ; then : ; else \
abeefc2002-04-30Martin Stjernholm  status=$$?; \ if test x"@noopt_retry@" = xyes ; then \ echo "WARNING: Compiler failure! Trying without optimization!" >&2;\
168c042003-01-10Mirar (Pontus Hagland)  echo "$(CC) $(PREFLAGS) $(CFLAGS) $$EXTRAFLAGS -c $< -o $@" >$@.fail ;\ if NO_ULIMIT=yes $(CC) $(PREFLAGS) $(NOOPTFLAGS) $$EXTRAFLAGS -c $< -o $@ ; then : ; else \
abeefc2002-04-30Martin Stjernholm  status=$$?; \ echo "Compilation command was:" >&2;\
168c042003-01-10Mirar (Pontus Hagland)  echo "$(CC) $(PREFLAGS) $(NOOPTFLAGS) $$EXTRAFLAGS -c $< -o $@" >&2 ;\
abeefc2002-04-30Martin Stjernholm  exit $$status; \ fi; \ else \ echo "Compilation command was:" >&2;\
168c042003-01-10Mirar (Pontus Hagland)  echo "$(CC) $(PREFLAGS) $(CFLAGS) $$EXTRAFLAGS -c $< -o $@" >&2 ;\
93d2312007-01-06H. William Welliver III  exit $$status; \ fi; \ fi .m.o: @echo "Compiling `echo '$<' | sed -e 's|^$(PIKE_SRC_DIR)/||'`" ; \ rm -f $@.fail >/dev/null 2>&1; \ if test "x$@" = "xinterpret.o"; then EXTRAFLAGS="$(INTERPRET_DEOPTIMIZE)"; else EXTRAFLAGS=; fi; \ if $(CC) $(CFLAGS) $$EXTRAFLAGS -fobjc-exceptions -c $< -o $@ ; then : ; else \ status=$$?; \ if test x"@noopt_retry@" = xyes ; then \ echo "WARNING: Compiler failure! Trying without optimization!" >&2;\ echo "$(CC) $(PREFLAGS) $(CFLAGS) $$EXTRAFLAGS -fobjc-exceptions -c $< -o $@" >$@.fail ;\ if NO_ULIMIT=yes $(CC) $(PREFLAGS) $(NOOPTFLAGS) $$EXTRAFLAGS -c $< -o $@ ; then : ; else \ status=$$?; \ echo "Compilation command was:" >&2;\ echo "$(CC) $(PREFLAGS) $(NOOPTFLAGS) $$EXTRAFLAGS -fobjc-exceptions -c $< -o $@" >&2 ;\ exit $$status; \ fi; \ else \ echo "Compilation command was:" >&2;\ echo "$(CC) $(PREFLAGS) $(CFLAGS) $$EXTRAFLAGS -fobjc-exceptions -c $< -o $@" >&2 ;\
abeefc2002-04-30Martin Stjernholm  exit $$status; \
79e1502002-04-11Martin Stjernholm  fi; \
c1583e1999-10-04Fredrik Hübinette (Hubbe)  fi
1a5be11997-11-03Henrik Grubbström (Grubba) 
3a5b1d2000-05-24Fredrik Hübinette (Hubbe) # # Please note that this must be accompanied by a dependency rule as # The .c file will not be created in the SOURCE directory otherwise. # -Hubbe #
7c61fc2002-01-28Martin Stjernholm .cmod.c: precompile.sh-stamp $(TMP_BINDIR)/precompile.pike
c9788b2002-03-09Martin Stjernholm  ./precompile.sh --cache precompile.pike >"$@" "$<" || { rm "$@"; exit 1; }
3a5b1d2000-05-24Fredrik Hübinette (Hubbe) 
f6ad6a2005-01-03Henrik Grubbström (Grubba) # The same applies to this. .symlist.c: precompile.sh-stamp $(SRCDIR)/mklibpike.pike ./precompile.sh --cache $(SRCDIR)/mklibpike.pike -I. -I "$(SRCDIR)" -S "$<" -o "$@"
3a0a532001-01-13Martin Stjernholm # This rule is used for some header files that are generated from the
0a34dc2001-01-23Martin Stjernholm # source, to avoid excessive rebuilding when the source change in ways # that doesn't affect the header.
3a0a532001-01-13Martin Stjernholm # # It can cause a .h target to be out-of-date repeatedly, but since it # runs fast that's not an issue. This technique only works well in # make's that stat the target again after the rule has run and
0a34dc2001-01-23Martin Stjernholm # recalculate the dependencies from that. Most make's seems to behave # like that.
3a0a532001-01-13Martin Stjernholm .h_src.h:
0a34dc2001-01-23Martin Stjernholm  @if test -f "$@"; then \
c1e41d2003-10-13Martin Stjernholm  test -f "$@.nolines" || \ sed -e '/^[ \t]*$$/d;/^[ \t]*#[ \t]*line.*$$/d' < "$@" > "$@.nolines" && \ sed -e '/^[ \t]*$$/d;/^[ \t]*#[ \t]*line.*$$/d' < "$<" > "$<.nolines" && \ cmp -s "$<.nolines" "$@.nolines"; \
3a0a532001-01-13Martin Stjernholm  else \
0a34dc2001-01-23Martin Stjernholm  false; \ fi || ( \
c1e41d2003-10-13Martin Stjernholm  rm -f "$@.nolines" 2>/dev/null; \
3a0a532001-01-13Martin Stjernholm  echo "cp $< $@"; \ cp "$<" "$@"; \
0a34dc2001-01-23Martin Stjernholm  )
3a0a532001-01-13Martin Stjernholm 
c82c732004-10-20Henrik Grubbström (Grubba) .wxs.wixobj:
ea426f2008-07-16Martin Stjernholm  @if test -f "$@"; then rm -f "$@"; else :; fi # Paranoia
e7f4bd2004-11-08Henrik Grubbström (Grubba)  $(CANDLE) "$<" -out "$@"
c82c732004-10-20Henrik Grubbström (Grubba)  .wixobj.msm: @test -d cab_cache || mkdir cab_cache
ea426f2008-07-16Martin Stjernholm  @if test -f "$@"; then rm -f "$@"; else :; fi # Paranoia
03f1a62004-11-08Henrik Grubbström (Grubba)  $(LIGHT) "$<" -cc cab_cache -o "$@"
c82c732004-10-20Henrik Grubbström (Grubba)  .wixobj.msi: @test -d cab_cache || mkdir cab_cache
ea426f2008-07-16Martin Stjernholm  @if test -f "$@"; then rm -f "$@"; else :; fi # Paranoia
03f1a62004-11-08Henrik Grubbström (Grubba)  $(LIGHT) "$<" -cc cab_cache -o "$@"
c82c732004-10-20Henrik Grubbström (Grubba) 
513f0a2004-11-02Henrik Grubbström (Grubba) Pike_banner.bmp: $(SRCDIR)/make_banner.pike $(SRCDIR)/../refdoc/src_images/pike_logo.gif $(RUNPIKE) $(SRCDIR)/make_banner.pike $(SRCDIR)/../refdoc/src_images/pike_logo.gif >Pike_banner.bmp || rm Pike_banner.bmp
1a34492006-08-04Martin Stjernholm UpFldrBtn.ibd: $(PACKAGINGDIR)/windows/UpFldrBtn.ibd cp "$<" "$@" NewFldrBtn.ibd: $(PACKAGINGDIR)/windows/NewFldrBtn.ibd cp "$<" "$@"
35f7a02004-12-04Henrik Grubbström (Grubba) PikeWin32Installer.vbs: $(PACKAGINGDIR)/windows/installer.vbs @if [ -f "$@" ] && cmp "$<" "$@" >/dev/null; then \ echo "PikeWin32Installer.vbs is up to date."; \ else \ echo cp '"'"$<"'"' '"'"$@"'"'; \ cp "$<" "$@"; \ fi Pike_module.msm: PikeWin32Installer.vbs
ab0f2d2006-08-03Martin Stjernholm Pike_module.wxs: pike-complete-stamp $(TMP_BINDIR)/install.pike Makefile
513f0a2004-11-02Henrik Grubbström (Grubba)  @no_autodoc="--no-autodoc"; \ if [ -f autodoc.xml ]; then no_autodoc=""; fi; \
e7f4bd2004-11-08Henrik Grubbström (Grubba)  $(RUNPIKE) $(TMP_BINDIR)/install.pike --wix-module $$no_autodoc \
ab0f2d2006-08-03Martin Stjernholm  @INSTALL_EXPORT_ARGS@ \
e7f4bd2004-11-08Henrik Grubbström (Grubba)  exec_prefix="$(exec_prefix)" lib_prefix="$(lib_prefix)" \ TMP_LIBDIR="$(TMP_LIBDIR)" LIBDIR_SRC="$(LIBDIR_SRC)" \ SRCDIR="$(SRCDIR)" prefix="$(prefix)" DOCDIR_SRC="$(DOCDIR_SRC)" \ MANDIR_SRC="$(MANDIR_SRC)" \ BASEDIR="$(BASEDIR)" man_prefix="$(man_prefix)" \
901ce22008-06-29Marcus Agehall  cflags="@DYNAMIC_MODULE_FLAGS@" ldflags="" \
e7f4bd2004-11-08Henrik Grubbström (Grubba)  pike_name=$(pike_name) PIKE_MODULE_RELOC="$(PIKE_MODULE_RELOC)"
8da0d02006-08-03Martin Stjernholm Pike.wxs: $(TMP_BINDIR)/install.pike Makefile
e7f4bd2004-11-08Henrik Grubbström (Grubba)  @no_autodoc="--no-autodoc"; \ if [ -f autodoc.xml ]; then no_autodoc=""; fi; \
513f0a2004-11-02Henrik Grubbström (Grubba)  $(RUNPIKE) $(TMP_BINDIR)/install.pike --wix $$no_autodoc \
90802b2006-08-03Martin Stjernholm  @INSTALL_EXPORT_ARGS@ \
513f0a2004-11-02Henrik Grubbström (Grubba)  exec_prefix="$(exec_prefix)" lib_prefix="$(lib_prefix)" \ TMP_LIBDIR="$(TMP_LIBDIR)" LIBDIR_SRC="$(LIBDIR_SRC)" \ SRCDIR="$(SRCDIR)" prefix="$(prefix)" DOCDIR_SRC="$(DOCDIR_SRC)" \ MANDIR_SRC="$(MANDIR_SRC)" \ BASEDIR="$(BASEDIR)" man_prefix="$(man_prefix)" \
901ce22008-06-29Marcus Agehall  cflags="@DYNAMIC_MODULE_FLAGS@" ldflags="" \
513f0a2004-11-02Henrik Grubbström (Grubba)  pike_name=$(pike_name) PIKE_MODULE_RELOC="$(PIKE_MODULE_RELOC)"
4ecc292004-11-02Henrik Grubbström (Grubba) 
1a34492006-08-04Martin Stjernholm Pike.msi: Pike.wixobj Pike_ui.wixobj Pike_module.msm Pike_banner.bmp UpFldrBtn.ibd NewFldrBtn.ibd
c82c732004-10-20Henrik Grubbström (Grubba)  @test -d cab_cache || mkdir cab_cache
03f1a62004-11-08Henrik Grubbström (Grubba)  @if test -f Pike.msi; then rm Pike.msi; else :; fi # Paranoia $(LIGHT) Pike.wixobj Pike_ui.wixobj -o Pike.msi -cc cab_cache
c82c732004-10-20Henrik Grubbström (Grubba) 
513f0a2004-11-02Henrik Grubbström (Grubba) wix: Pike.msi
4ecc292004-11-02Henrik Grubbström (Grubba) 
1a5be11997-11-03Henrik Grubbström (Grubba) force :
c1583e1999-10-04Fredrik Hübinette (Hubbe)  @:
0cd76f1998-10-22Fredrik Hübinette (Hubbe) 
913e362006-08-04Martin Stjernholm pike.ico: $(PACKAGINGDIR)/windows/pike.ico
47170b2006-08-04Martin Stjernholm  cp "$<" $@
913e362006-08-04Martin Stjernholm 
47170b2006-08-04Martin Stjernholm pike_icon.res: pike.ico
913e362006-08-04Martin Stjernholm  echo 'pike ICON pike.ico' > pike_icon.rc
47170b2006-08-04Martin Stjernholm  $(RCEXE) /fo $@ pike_icon.rc
913e362006-08-04Martin Stjernholm 
933d361996-04-29Fredrik Hübinette (Hubbe) # install
6a08802006-06-18Martin Stjernholm install: pike-complete-stamp tools
bfcff22003-10-08Martin Stjernholm  @$(RUNPIKE) $(TMP_BINDIR)/install.pike \
c37c7e1999-03-26Fredrik Hübinette (Hubbe)  exec_prefix="$(exec_prefix)" lib_prefix="$(lib_prefix)" \
fadd1d1999-01-21Fredrik Hübinette (Hubbe)  TMP_LIBDIR="$(TMP_LIBDIR)" LIBDIR_SRC="$(LIBDIR_SRC)" \
0df63c2003-11-04H. William Welliver III  SRCDIR="$(SRCDIR)" prefix="$(prefix)" DOCDIR_SRC="$(DOCDIR_SRC)" \ MANDIR_SRC="$(MANDIR_SRC)" \
26f3da2000-07-11Fredrik Hübinette (Hubbe)  man_prefix="$(man_prefix)" pike_name=$(pike_name) \
bfcff22003-10-08Martin Stjernholm  fakeroot="$(buildroot)" PIKE_MODULE_RELOC="$(PIKE_MODULE_RELOC)" \
901ce22008-06-29Marcus Agehall  cflags="@DYNAMIC_MODULE_FLAGS@" ldflags="" \
bfcff22003-10-08Martin Stjernholm  $(INSTALLARGS)
fadd1d1999-01-21Fredrik Hübinette (Hubbe) 
6a08802006-06-18Martin Stjernholm install_interactive: pike-complete-stamp tools
18ca1f1999-11-11Fredrik Hübinette (Hubbe)  @$(RUNPIKE) $(TMP_BINDIR)/install.pike --interactive \
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  exec_prefix="$(exec_prefix)" prefix=$(prefix) \
18ca1f1999-11-11Fredrik Hübinette (Hubbe)  TMP_LIBDIR="$(TMP_LIBDIR)" LIBDIR_SRC="$(LIBDIR_SRC)" \
0df63c2003-11-04H. William Welliver III  SRCDIR="$(SRCDIR)" DOCDIR_SRC="$(DOCDIR_SRC)" \ MANDIR_SRC="$(MANDIR_SRC)" \
901ce22008-06-29Marcus Agehall  cflags="@DYNAMIC_MODULE_FLAGS@" ldflags="" \
4839dd2001-09-02Marcus Comstedt  fakeroot="$(buildroot)" PIKE_MODULE_RELOC="$(PIKE_MODULE_RELOC)"
18ca1f1999-11-11Fredrik Hübinette (Hubbe) 
933d361996-04-29Fredrik Hübinette (Hubbe) # tidy up a bit tidy:
43c5512006-08-02Martin Stjernholm  -rm -f a.out a.out.* *.fail *.pp *.protos core y.output y.tab.c y.tab.h
40cc5a2006-08-05Martin Stjernholm  -rm -f core core.* *.o *.obj *.i *.i~ dynloadtest* cfl.*
5d5f772006-07-05Martin Stjernholm  -rm -f conftest.* hdrlist.h a.out.exe
7479a22003-11-13Martin Stjernholm  -rm testsuite testsuite.tmp testsuite_test.pike testsuite_test_dir.pmod
78ccb52006-08-04Martin Stjernholm  -rm -f *.wixobj *.wxs Pike_banner.bmp UpFldrBtn.ibd NewFldrBtn.ibd PikeWin32Installer.vbs
47170b2006-08-04Martin Stjernholm  -rm -f pike.ico pike_icon.rc pike_icon.res
5d5f772006-07-05Martin Stjernholm  -find lib -type f -name \*.o -o -name \*.obj | xargs rm -f
933d361996-04-29Fredrik Hübinette (Hubbe)  # make clean
7479a22003-11-13Martin Stjernholm clean_here: tidy doc_clean
332f782002-11-13Martin Nilsson  -( cd tlib; find . -name testsuite | xargs rm )
19ce6b2003-12-14Martin Nilsson  -( cd extra_tests; find . -name testsuite | xargs rm )
5d5f772006-07-05Martin Stjernholm  -rm -f confdefs.h
43c5512006-08-02Martin Stjernholm  -rm -rf test-install test-pike tpike tpike.* *.pdb
7479a22003-11-13Martin Stjernholm  -rm -f TAGS tags yacc.acts yacc.debug yacc.tmp *.debug.log a.out pike.tmp -rm -f hilfe rsif master.pike compiler-warnings dumpmodule.log -rm -f interpreter_debug.h lexer?.h
6a08802006-06-18Martin Stjernholm  -rm -f import-stamp master-stamp headerfiles-stamp
9479712006-08-02Martin Stjernholm  -rm -f static-modules-stamp dynamic-modules-stamp post-modules-stamp
3e91052006-08-05Martin Stjernholm  -rm -f post-module-pike-stamp pike-complete-stamp
3816832000-09-05Martin Stjernholm  -rm -rf lib/modules/*
2a34ce1998-08-02Henrik Grubbström (Grubba) # -rm -f lib/master.pike
933d361996-04-29Fredrik Hübinette (Hubbe) 
7479a22003-11-13Martin Stjernholm clean: clean_here -( cd modules; $(MAKE) $(MAKE_FLAGS) clean ) -( cd post_modules; $(MAKE) $(MAKE_FLAGS) clean )
43c5512006-08-02Martin Stjernholm clean_pike: -rm -f pike pike.lib pike.exe pike.exe.manifest pike.exp # Clean up everything that needs to go if the configure args change. config_change_clean: clean clean_pike
933d361996-04-29Fredrik Hübinette (Hubbe) # make _really_ clean
43c5512006-08-02Martin Stjernholm spotless: clean_here clean_pike
7479a22003-11-13Martin Stjernholm  -( cd modules; $(MAKE) $(MAKE_FLAGS) spotless ) -( cd post_modules; $(MAKE) $(MAKE_FLAGS) spotless )
3b285d1998-08-02Henrik Grubbström (Grubba)  -(cd $(SRCDIR); find . -type f -name '*.h.in' -print) | \ sed -e 's/\.in$$//' | xargs rm -f
5d5f772006-07-05Martin Stjernholm  -rm -f Makefile config.* make_variables specs pike.syms
43c5512006-08-02Martin Stjernholm  -rm -f .pure stamp-h
7479a22003-11-13Martin Stjernholm  -rm -f lexical.c mon.out *.ln
78ccb52006-08-04Martin Stjernholm  -rm -f pike pike.exe pike.old pike.old.exe l.outa* num_files_to_install -rm -f *.msm *.msi
7479a22003-11-13Martin Stjernholm  -rm -f precompile.sh precompile.sh-stamp smartlink
19ce6b2003-12-14Martin Nilsson  -rm -rf tlib extra_tests lib precompile
933d361996-04-29Fredrik Hübinette (Hubbe) 
3b285d1998-08-02Henrik Grubbström (Grubba) distclean: spotless
2a34ce1998-08-02Henrik Grubbström (Grubba)  cvsclean: distclean
8a046b2000-02-22Fredrik Hübinette (Hubbe)  ( for d in `cd $(SRCDIR) && find . -type d -print`; do \
2a49501998-08-02Henrik Grubbström (Grubba)  if test -f "$(SRCDIR)/$$d/.cvsignore" ; then \ (cd "$$d" && rm -f `cat "$(SRCDIR)/$$d/.cvsignore"`); \ (cd "$(SRCDIR)/$$d" && rm -f `cat "$(SRCDIR)/$$d/.cvsignore"`); \
83a7a21998-08-02Henrik Grubbström (Grubba)  else :; fi; \ done)
3b285d1998-08-02Henrik Grubbström (Grubba) 
933d361996-04-29Fredrik Hübinette (Hubbe) # create tags tags: ctags *.c TAGS: etags -t *.h *.c # verify / debug
8650bd2002-12-12Martin Nilsson testsuites:
08b17a2006-04-16Henrik Grubbström (Grubba)  $(MAKE) $(MAKE_FLAGS) testsuite
8a046b2000-02-22Fredrik Hübinette (Hubbe)  ( cd modules && $(MAKE) $(MAKE_FLAGS) testsuites )
833da22001-06-28Per Hedbor  ( cd post_modules && $(MAKE) $(MAKE_FLAGS) testsuites )
19ce6b2003-12-14Martin Nilsson  ( cd $(TMP_BUILDDIR) && $(TMP_BINDIR)/mklibtests.sh \ --srcdir=$(LIBDIR_SRC) \
44990d2003-08-18Martin Stjernholm  --destdir=tlib --bindir=$(TMP_BINDIR) )
19ce6b2003-12-14Martin Nilsson  if test -d "$(BASEDIR)/extra_tests" ; then \ (cd "$(TMP_BUILDDIR)" && $(TMP_BINDIR)/mklibtests.sh \ --srcdir="$(BASEDIR)/extra_tests" \ --destdir=extra_tests --bindir=$(TMP_BINDIR) ) ; fi;
8d3e031998-02-27Fredrik Hübinette (Hubbe) 
08b17a2006-04-16Henrik Grubbström (Grubba) just_verify: testsuites master-stamp
450dd92004-04-23Henrik Grubbström (Grubba)  if test "x$(TESTARGS)" = x ; then args="-F -a -v" ; \
d225b22002-11-23Martin Stjernholm  else args="$(TESTARGS)" ; fi; \
a0485e2005-10-17Henrik Grubbström (Grubba)  $(RUNPIKE) -x test_pike $$args
5cdb222003-06-02Martin Stjernholm 
08b17a2006-04-16Henrik Grubbström (Grubba) valgrind_just_verify: testsuites master-stamp
f7cab12007-06-17Martin Stjernholm  if test "x$(TESTARGS)" = x ; then args="-a -v" ; \
5cdb222003-06-02Martin Stjernholm  else args="$(TESTARGS)" ; fi; \
1243a02007-06-20Martin Stjernholm  $(VALGRIND) $(VALGRINDARGS) $(RUNPIKE) -x test_pike --subproc-start="$(VALGRIND) $(VALGRINDARGS)" $$args
394d7d1999-04-08Fredrik Hübinette (Hubbe) 
56f4f42001-09-18Fredrik Hübinette (Hubbe) # Testsuite for dynamic loading debugging test_dlopen: dynloadtest.sh sh ./dynloadtest.sh dynloadtest.sh: $(SRCDIR)/test_dynamic_loading.in
0f8d8e2001-11-08Fredrik Hübinette (Hubbe)  m4 "$(SRCDIR)/test_dynamic_loading.in" >"$@"
56f4f42001-09-18Fredrik Hübinette (Hubbe)  dynloadtest.c: dynamic_load.c dynloadtest: dynloadtest.o @EXTRA_OBJS@ fdlib.o port.o $(LD) $(LDFLAGS) dynloadtest.o @EXTRA_OBJS@ fdlib.o port.o $(LIBS) -o dynloadtest
87a3222003-11-07Martin Nilsson tinstall: master-stamp
49b5972000-10-08Henrik Grubbström (Grubba)  -rm -rf test-install
de1e402006-04-22Henrik Grubbström (Grubba)  $(RUNPIKE) $(TMP_BINDIR)/install.pike \ `test -f autodoc.xml || echo --no-autodoc` \ lib_prefix="$(lib_prefix)" \ TMP_LIBDIR="$(TMP_LIBDIR)" LIBDIR_SRC="$(LIBDIR_SRC)" \ SRCDIR="$(SRCDIR)" DOCDIR_SRC="$(DOCDIR_SRC)" \ MANDIR_SRC="$(MANDIR_SRC)" \ man_prefix="$(man_prefix)" fakeroot="$(buildroot)" \ PIKE_MODULE_RELOC="$(PIKE_MODULE_RELOC)" pike_name="test-pike" \
901ce22008-06-29Marcus Agehall  cflags="@DYNAMIC_MODULE_FLAGS@" ldflags="" \
de1e402006-04-22Henrik Grubbström (Grubba)  prefix="./test-install" $(INSTALLARGS)
7b16372001-02-23Henrik Grubbström (Grubba) 
87a3222003-11-07Martin Nilsson just-tinstall: master-stamp
de1e402006-04-22Henrik Grubbström (Grubba)  $(RUNPIKE) $(TMP_BINDIR)/install.pike \ `test -f autodoc.xml || echo --no-autodoc` \ lib_prefix="$(lib_prefix)" \ TMP_LIBDIR="$(TMP_LIBDIR)" LIBDIR_SRC="$(LIBDIR_SRC)" \ SRCDIR="$(SRCDIR)" DOCDIR_SRC="$(DOCDIR_SRC)" \ MANDIR_SRC="$(MANDIR_SRC)" \ man_prefix="$(man_prefix)" fakeroot="$(buildroot)" \ PIKE_MODULE_RELOC="$(PIKE_MODULE_RELOC)" pike_name="test-pike" \
901ce22008-06-29Marcus Agehall  cflags="@DYNAMIC_MODULE_FLAGS@" ldflags="" \
de1e402006-04-22Henrik Grubbström (Grubba)  prefix="./test-install" $(INSTALLARGS)
394d7d1999-04-08Fredrik Hübinette (Hubbe) 
752e101999-04-30Fredrik Hübinette (Hubbe) 
08b17a2006-04-16Henrik Grubbström (Grubba) verify: testsuites tinstall
849c322001-01-21Henrik Grubbström (Grubba)  PIKE_MODULE_PATH=""; PIKE_INCLUDE_PATH=""; \
450dd92004-04-23Henrik Grubbström (Grubba)  if test "$(TESTARGS)" = "" ; then args="-F -a -v" ; else \
e815dd2002-08-02Martin Nilsson  args="$(TESTARGS)" ; fi; \
d5fa6a2002-09-24Henrik Grubbström (Grubba)  if test -f ./test-pike ; then \
a0485e2005-10-17Henrik Grubbström (Grubba)  ./test-pike -DNOT_INSTALLED $(PIKEOPTS) -x test_pike $$args ; \
27ef022004-07-04Martin Stjernholm  else \
332c242005-03-13Martin Nilsson  if test -f some-sprsh-test ; then \
a0485e2005-10-17Henrik Grubbström (Grubba)  sprsh `pwd`/test-install/pike/*/bin/pike.exe -DNOT_INSTALLED $(PIKEOPTS) -x test_pike $$args ; \
332c242005-03-13Martin Nilsson  else \
a0485e2005-10-17Henrik Grubbström (Grubba)  `pwd`/test-install/pike/*/bin/pike.exe -DNOT_INSTALLED $(PIKEOPTS) -x test_pike $$args ; \
332c242005-03-13Martin Nilsson  fi \
27ef022004-07-04Martin Stjernholm  fi
08b17a2006-04-16Henrik Grubbström (Grubba) valgrind_verify: testsuites tinstall
27ef022004-07-04Martin Stjernholm  PIKE_MODULE_PATH=""; PIKE_INCLUDE_PATH=""; \
f7cab12007-06-17Martin Stjernholm  if test "$(TESTARGS)" = "" ; then args="-a -v" ; else \
27ef022004-07-04Martin Stjernholm  args="$(TESTARGS)" ; fi; \ if test -f ./test-pike ; then \
1243a02007-06-20Martin Stjernholm  $(VALGRIND) $(VALGRINDARGS) ./test-pike -DNOT_INSTALLED $(PIKEOPTS) -x test_pike --subproc-start="$(VALGRIND) $(VALGRINDARGS)" $$args ; \
d5fa6a2002-09-24Henrik Grubbström (Grubba)  else \
a0485e2005-10-17Henrik Grubbström (Grubba)  sprsh `pwd`/test-install/pike/*/bin/pike.exe -DNOT_INSTALLED $(PIKEOPTS) -x test_pike $$args ; \
d5fa6a2002-09-24Henrik Grubbström (Grubba)  fi
115ae01996-09-25Fredrik Hübinette (Hubbe) 
f5101e2002-12-06Martin Nilsson bench: tinstall
f956b62002-12-06Mirar (Pontus Hagland)  if test -f ./test-pike ; then \
f5101e2002-12-06Martin Nilsson  ./test-pike -DNOT_INSTALLED $(PIKEOPTS) -x benchmark; \
f956b62002-12-06Mirar (Pontus Hagland)  else \
332c242005-03-13Martin Nilsson  if test -f some-sprsh-test ; then \ sprsh `pwd`/test-install/pike/*/bin/pike.exe -DNOT_INSTALLED $(PIKEOPTS) -x benchmark ; \ else \ `pwd`/test-install/pike/*/bin/pike.exe -DNOT_INSTALLED $(PIKEOPTS) -x benchmark ; \ fi \
f956b62002-12-06Mirar (Pontus Hagland)  fi
08b17a2006-04-16Henrik Grubbström (Grubba) verify_installed: testsuites master-stamp
450dd92004-04-23Henrik Grubbström (Grubba)  if test "$(TESTARGS)" = "" ; then args="-F -a -v" ; else \
e815dd2002-08-02Martin Nilsson  args="$(TESTARGS)" ; fi; \
a0485e2005-10-17Henrik Grubbström (Grubba)  $(exec_prefix)/pike $(PIKEOPTS) -x test_pike $$args
90e9781999-01-31Fredrik Hübinette (Hubbe) 
af56471996-12-03Fredrik Hübinette (Hubbe) check: verify
b298e01997-04-16Fredrik Hübinette (Hubbe) sure: verify
933d361996-04-29Fredrik Hübinette (Hubbe) # verify / debug verbose
08b17a2006-04-16Henrik Grubbström (Grubba) verbose_verify: testsuites master-stamp
450dd92004-04-23Henrik Grubbström (Grubba)  if test "$(TESTARGS)" = "" ; then args="-F -a" ; else args="$(TESTARGS)" ; fi; \
a0485e2005-10-17Henrik Grubbström (Grubba)  $(RUNPIKE) -x test_pike -v -v $$args
933d361996-04-29Fredrik Hübinette (Hubbe)  # verify & debug VERBOSE
08b17a2006-04-16Henrik Grubbström (Grubba) gdb_verify: testsuites master-stamp
80ef121997-03-17Fredrik Hübinette (Hubbe)  @echo >.gdbinit handle SIGFPE nostop noprint pass @echo >>.gdbinit handle SIGUSR1 nostop noprint pass
4a85681998-08-02Henrik Grubbström (Grubba)  @echo >>.gdbinit handle SIGUSR2 nostop noprint pass
a1190c1999-09-09Fredrik Hübinette (Hubbe)  @echo >>.gdbinit handle SIGLWP nostop noprint pass
44917b2000-10-13Fredrik Hübinette (Hubbe)  @if kill -l | grep SIGRTMIN >/dev/null ; then \ echo >>.gdbinit handle SIG32 nostop noprint pass ;\ else :; fi
8aae6d1999-08-19Fredrik Hübinette (Hubbe)  @echo >>.gdbinit break debug_fatal
5c6d382002-09-21Martin Stjernholm  @echo >>.gdbinit break pike_gdb_breakpoint
1a701b2005-04-09Martin Nilsson  @if test "$(TESTARGS)" = "" ; then args="-a -v -v" ; else \
e815dd2002-08-02Martin Nilsson  args="$(TESTARGS)" ; fi; \
1a701b2005-04-09Martin Nilsson  echo >>.gdbinit set args \ -m`echo "$(TMP_BUILDDIR)/master.pike" | ./posix_to_native.sh` \
a0485e2005-10-17Henrik Grubbström (Grubba)  $(PIKEOPTS) -x test_pike --no-watchdog $$args
08b17a2006-04-16Henrik Grubbström (Grubba)  $(GDB) $(TMP_BUILDDIR)/pike
41a0f41996-06-09Fredrik Hübinette (Hubbe)  @rm .gdbinit
933d361996-04-29Fredrik Hübinette (Hubbe) 
cad3fe2004-03-14Martin Nilsson gdb_hilfe: master.pike @echo >.gdbinit handle SIGFPE nostop noprint pass @echo >>.gdbinit handle SIGUSR1 nostop noprint pass @echo >>.gdbinit handle SIGUSR2 nostop noprint pass @echo >>.gdbinit handle SIGLWP nostop noprint pass @if kill -l | grep SIGRTMIN >/dev/null ; then \ echo >>.gdbinit handle SIG32 nostop noprint pass ;\ else :; fi @echo >>.gdbinit break debug_fatal @echo >>.gdbinit break pike_gdb_breakpoint @echo >>.gdbinit set args -m$(TMP_BUILDDIR)/master.pike $$ARGS
08b17a2006-04-16Henrik Grubbström (Grubba)  $(GDB) $(TMP_BUILDDIR)/pike
cad3fe2004-03-14Martin Nilsson  @rm .gdbinit
2eeada2001-10-05Mirar (Pontus Hagland) # fast test fast_verify_testsuite: testsuite PIKE_MODULE_PATH=""; PIKE_INCLUDE_PATH=""; \
a0485e2005-10-17Henrik Grubbström (Grubba)  if test "$(TESTARGS)" = "" ; then args="-F -a" ; \ else args="$(TESTARGS)" ; fi; \ if test -f ./test-pike ; then \ ./test-pike -DNOT_INSTALLED $(PIKEOPTS) -x test_pike $$args ; \ else \ sprsh `pwd`/test-install/pike/*/bin/pike.exe -DNOT_INSTALLED \ $(PIKEOPTS) -x test_pike $$args ; \ fi
2eeada2001-10-05Mirar (Pontus Hagland) 
933d361996-04-29Fredrik Hübinette (Hubbe) # run hilfe, for interactive testing
b944be2003-01-19Martin Nilsson run_hilfe: master.pike
882ad42002-11-03Martin Nilsson  $(RUNPIKE) $(ARGS)
933d361996-04-29Fredrik Hübinette (Hubbe) 
2c99452003-08-31Martin Nilsson valgrind_hilfe: master.pike $(VALGRIND) $(VALGRINDARGS) $(RUNPIKE) $(ARGS)
b298e01997-04-16Fredrik Hübinette (Hubbe) feature_list:
78e25d2008-07-18Martin Stjernholm  $(RUNPIKE) --features
b298e01997-04-16Fredrik Hübinette (Hubbe) 
f5101e2002-12-06Martin Nilsson run_bench:
3b33922004-09-18Martin Nilsson  $(RUNPIKE) $(ARGS) -x benchmark $(BENCHARGS)
f956b62002-12-06Mirar (Pontus Hagland) 
17eada2000-12-02Martin Stjernholm lib: Makefile
fccd4c1998-03-28Henrik Grubbström (Grubba)  @for d in lib lib/modules lib/include; do \ if [ -d $$d/. ]; then : ; else \ echo "Creating $$d/."; \ (mkdir $$d && chmod u+rwx $$d) || exit 1; \ fi ; \ done @echo "Done." -@touch ./lib 2>/dev/null || (touch lib/.broken_gnu_touch && rm lib/.broken_gnu_touch)
1a8e141997-02-27Fredrik Hübinette (Hubbe) 
76b1071998-04-17Fredrik Hübinette (Hubbe) 
6ca4de1998-07-09Henrik Grubbström (Grubba) master.pike: $(LIBDIR_SRC)/master.pike.in Makefile
7a680f2006-08-04Martin Stjernholm  @if test "x$(PIKE_MODULE_RELOC)" = "x"; \
aabef32006-07-18Henrik Grubbström (Grubba)  then u=s,x,x,; \ else u='s/^#undef PIKE_MODULE_RELOC/#define PIKE_MODULE_RELOC 1/'; \ fi; \ LC_CTYPE=C; LC_LANG=C; export LC_CTYPE LC_LANG; \
9a6efb2008-06-28Marcus Comstedt  cmd="sed -e 's![^ -~]lib_prefix[^ -~]!`echo '$(TMP_LIBDIR)' | ./posix_to_native.sh`!' \ -e 's![^ -~]share_prefix[^ -~]!`echo '$(LIBDIR_SRC)' | ./posix_to_native.sh`!' \ -e 's![^ -~]include_prefix[^ -~]!`echo '$(TMP_BUILDDIR)/bundles/include/pike' | ./posix_to_native.sh`!' \
7a680f2006-08-04Martin Stjernholm  -e '$$u'"; \ echo "$$cmd <$(LIBDIR_SRC)/master.pike.in >master.pike"; \ eval $$cmd <$(LIBDIR_SRC)/master.pike.in >master.pike
76b1071998-04-17Fredrik Hübinette (Hubbe) 
44cd612001-07-03Martin Stjernholm # Want master.pike up-to-date, but yet there's no dependency on the # that file. Works like the .h_src.h target. master-stamp: master.pike @test -f master-stamp || echo foo > master-stamp
f5a9c22003-01-09Henrik Grubbström (Grubba) # # Documentation related stuff. # onepage.xml: autodoc.xml $(DOCDIR)/structure/onepage.xml (cd "$(DOCDIR)" && \ $(RUNPIKE) -x assemble_autodoc structure/onepage.xml \ $(TMP_BUILDDIR)/autodoc.xml) >onepage.xml traditional.xml: autodoc.xml $(DOCDIR)/structure/traditional.xml ( cd "$(DOCDIR)" && \ $(RUNPIKE) -x assemble_autodoc structure/traditional.xml \ $(TMP_BUILDDIR)/autodoc.xml) >traditional.xml modref.xml: autodoc.xml $(DOCDIR)/structure/modref.xml (cd "$(DOCDIR)" && \ $(RUNPIKE) -x assemble_autodoc structure/modref.xml \ $(TMP_BUILDDIR)/autodoc.xml) >modref.xml
6a08802006-06-18Martin Stjernholm autodoc.xml: pike-complete-stamp doc_build/src doc_build/lib doc_build/images images1 images2 force
9a8dec2003-02-10Martin Nilsson  $(RUNPIKE) -x extract_autodoc -q --srcdir=$(SRCDIR) \ --imgsrc=$(DOCDIR)/src_images --builddir=doc_build/src \ --imgdir=doc_build/images $(RUNPIKE) -x extract_autodoc -q --srcdir=$(LIBDIR_SRC) \ --imgsrc=$(DOCDIR)/src_images --builddir=doc_build/lib \ --imgdir=doc_build/images
f5a9c22003-01-09Henrik Grubbström (Grubba)  $(RUNPIKE) -x join_autodoc --quiet --post-process autodoc.xml doc_build
d992cc2003-11-08Henrik Grubbström (Grubba) autodoc-stamp:
6d284e2004-05-01Martin Stjernholm  @test -f autodoc.xml || $(MAKE) autodoc.xml
d992cc2003-11-08Henrik Grubbström (Grubba)  @test -f autodoc-stamp || echo foo > autodoc-stamp
9be6b52003-11-05Henrik Grubbström (Grubba) 
31322b2006-01-05Marcus Comstedt images1: doc_build/src/post_modules/GTK/refdoc/images
f5a9c22003-01-09Henrik Grubbström (Grubba)  @cp $(SRCDIR)/post_modules/GTK/refdoc/images/*.png \ doc_build/src/post_modules/GTK/refdoc/images/
31322b2006-01-05Marcus Comstedt images2: doc_build/src/post_modules/GTK2/refdoc/images @cp $(SRCDIR)/post_modules/GTK2/refdoc/images/*.png \ doc_build/src/post_modules/GTK2/refdoc/images/
f5a9c22003-01-09Henrik Grubbström (Grubba) # Directories doc_build: @test -d doc_build || mkdir doc_build doc_build/src: doc_build @test -d doc_build/src || mkdir doc_build/src doc_build/lib: doc_build @test -d doc_build/lib || mkdir doc_build/lib doc_build/images: doc_build @test -d doc_build/images || mkdir doc_build/images doc_build/src/post_modules/GTK/refdoc/images: doc_build/src @test -d doc_build/src/post_modules || \ mkdir doc_build/src/post_modules @test -d doc_build/src/post_modules/GTK || \ mkdir doc_build/src/post_modules/GTK @test -d doc_build/src/post_modules/GTK/refdoc || \ mkdir doc_build/src/post_modules/GTK/refdoc @test -d doc_build/src/post_modules/GTK/refdoc/images || \ mkdir doc_build/src/post_modules/GTK/refdoc/images
31322b2006-01-05Marcus Comstedt doc_build/src/post_modules/GTK2/refdoc/images: doc_build/src @test -d doc_build/src/post_modules || \ mkdir doc_build/src/post_modules @test -d doc_build/src/post_modules/GTK2 || \ mkdir doc_build/src/post_modules/GTK2 @test -d doc_build/src/post_modules/GTK2/refdoc || \ mkdir doc_build/src/post_modules/GTK2/refdoc @test -d doc_build/src/post_modules/GTK2/refdoc/images || \ mkdir doc_build/src/post_modules/GTK2/refdoc/images
7479a22003-11-13Martin Stjernholm doc_clean: -rm -f onepage.xml traditional.xml modref.xml autodoc.xml resolution.log -rm -rf doc_build
f5a9c22003-01-09Henrik Grubbström (Grubba) 
d49add2001-04-25Fredrik Hübinette (Hubbe) pike.syms: $(SRCDIR)/interpret.c $(SRCDIR)/interpreter.h $(SRCDIR)/program.c $(SRCDIR)/builtin_functions.c ( cat $(SRCDIR)/*.h *.h | egrep '^[ ]*#[ ]*define[ ][ ]*[a-zA-Z_0-9]*[ ][ ]*[0-9][xabcdefABCDEF0-9]*[ ]*' ; \ echo "#define" `$(CPP) $(PREFLAGS) -DSTEP_BREAK_LINE='STEP_BREAK_LINE __LINE__' $(SRCDIR)/interpreter.h | grep STEP_BREAK_LINE` ) >pike.syms
d0f91a2001-01-26Martin Stjernholm # We touch the files that depend on language.h_src and # interpret_protos.h_src to ensure that the .h_src.h rule doesn't have # anything to do in the dist.
c6f4a82002-01-27Martin Stjernholm source: depend
61b1c62003-09-08Martin Stjernholm  if test -f $(SRCDIR)/language.c; then touch $(SRCDIR)/language.c; else :; fi if test -f $(SRCDIR)/language.h; then touch $(SRCDIR)/language.h; else :; fi if test -f $(SRCDIR)/interpret_protos.h; then touch $(SRCDIR)/interpret_protos.h; else :; fi
d0f91a2001-01-26Martin Stjernholm 
06983f1996-09-22Fredrik Hübinette (Hubbe) # make export archive (requires compiled Pike)
933d361996-04-29Fredrik Hübinette (Hubbe) # Do not compile in source tree if you want to use this! # Beware that export archive this includes bison/yacc/byacc source # and thus has to follow the rules stated in that code.
f838321996-10-09Fredrik Hübinette (Hubbe) 
d0f91a2001-01-26Martin Stjernholm full_export: source
f838321996-10-09Fredrik Hübinette (Hubbe)  chmod +x $(SRCDIR)/install-sh
0409962002-04-08Mikael Brandström  $(RUNPIKE) $(TMP_BINDIR)/export.pike --srcdir="$(SRCDIR)" \
d567692005-12-04Martin Nilsson  --exportlist="$(SRCDIR)/export_list" --name=Pike-v%maj.%min.%bld \
e2fb202005-12-01Martin Nilsson  --tag $(EXPORTARGS)
933d361996-04-29Fredrik Hübinette (Hubbe) 
7160d62002-05-01Martin Nilsson EXPORT_NAME=Pike-v%maj.%min-%Y%M%D
19c8dd2002-04-08Mikael Brandström snapshot_export: source chmod +x $(SRCDIR)/install-sh
0409962002-04-08Mikael Brandström  $(RUNPIKE) $(TMP_BINDIR)/export.pike --srcdir="$(SRCDIR)" \
d567692005-12-04Martin Nilsson  --exportlist="$(SRCDIR)/export_list" --name=$(EXPORT_NAME) \
e2fb202005-12-01Martin Nilsson  $(EXPORTARGS)
19c8dd2002-04-08Mikael Brandström 
8017aa2000-04-10Fredrik Hübinette (Hubbe) export: full_export
b83f612002-09-09Marcus Comstedt bin_export:
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  @rm -f *.burk
7ba8982003-11-08Henrik Grubbström (Grubba)  @no_autodoc="--no-autodoc"; \ if [ -f autodoc.xml ]; then no_autodoc=""; fi; \
4a4ff82003-11-11Henrik Grubbström (Grubba)  $(RUNPIKE) $(TMP_BINDIR)/install.pike --export $$no_autodoc \
90802b2006-08-03Martin Stjernholm  @INSTALL_EXPORT_ARGS@ \
99bb2c1999-06-09Fredrik Hübinette (Hubbe)  exec_prefix="$(exec_prefix)" lib_prefix="$(lib_prefix)" \ TMP_LIBDIR="$(TMP_LIBDIR)" LIBDIR_SRC="$(LIBDIR_SRC)" \
0df63c2003-11-04H. William Welliver III  SRCDIR="$(SRCDIR)" prefix="$(prefix)" DOCDIR_SRC="$(DOCDIR_SRC)" \ MANDIR_SRC="$(MANDIR_SRC)" \
98a11d2002-08-01Martin Nilsson  BASEDIR="$(BASEDIR)" man_prefix="$(man_prefix)" \
901ce22008-06-29Marcus Agehall  cflags="@DYNAMIC_MODULE_FLAGS@" ldflags="" \
98a11d2002-08-01Martin Nilsson  pike_name=$(pike_name) PIKE_MODULE_RELOC="$(PIKE_MODULE_RELOC)"
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  @case " $(CC)" in \
8c7ba52000-12-01Henrik Grubbström (Grubba)  *\ rnt*) \
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  $(MAKE) $(MAKE_FLAGS) uncompress_header ;\
ae0f162000-12-01Henrik Grubbström (Grubba)  echo "Compressing..." ;\
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  filename=`echo *.burk | sed 's@\.burk$$@@g'`.exe ;\ ( cat uncompress_header.exe ; gzip -9 -c *.burk ) > $$filename ;\
ae0f162000-12-01Henrik Grubbström (Grubba)  echo "Done." ;\
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  ;; \ esac
d0f91a2001-01-26Martin Stjernholm #new_peep_engine:
546ce12006-08-02Martin Stjernholm # $(RUNTPIKE) $(TMP_BINDIR)/mkpeep.pike $(SRCDIR)/peep.in >$(SRCDIR)/peep_engine.c # $(RUNTPIKE) $(TMP_BINDIR)/make_ci.pike <$(SRCDIR)/UnicodeData.txt >$(SRCDIR)/case_info.h
933d361996-04-29Fredrik Hübinette (Hubbe) 
8e94642003-02-20Martin Stjernholm $(SRCDIR)/peep_engine.c: $(SRCDIR)/peep.in $(TMP_BINDIR)/mkpeep.pike ./precompile.sh $(TMP_BINDIR)/mkpeep.pike $(SRCDIR)/peep.in >$(SRCDIR)/peep_engine.c || ( rm $(SRCDIR)/peep_engine.c ; exit 1 )
933d361996-04-29Fredrik Hübinette (Hubbe) 
115ae01996-09-25Fredrik Hübinette (Hubbe) peep.o: $(SRCDIR)/peep_engine.c
d8632c1996-05-04Fredrik Hübinette (Hubbe) 
8e94642003-02-20Martin Stjernholm $(SRCDIR)/case_info.h: $(SRCDIR)/UnicodeData.txt $(TMP_BINDIR)/make_ci.pike ./precompile.sh $(TMP_BINDIR)/make_ci.pike $(SRCDIR)/case_info.h \
de4a0c2003-02-08Henrik Grubbström (Grubba)  <$(SRCDIR)/UnicodeData.txt
94d9921999-03-20Henrik Grubbström (Grubba) 
c8eb922001-06-10Henrik Grubbström (Grubba) builtin_functions.o: $(SRCDIR)/case_info.h $(SRCDIR)/combine_path.h
5b8ea71999-03-20Henrik Grubbström (Grubba) 
8e94642003-02-20Martin Stjernholm $(SRCDIR)/treeopt.h: $(SRCDIR)/treeopt.in $(TMP_BINDIR)/mktreeopt.pike ./precompile.sh $(TMP_BINDIR)/mktreeopt.pike $(SRCDIR)/treeopt.in || ( rm $(SRCDIR)/treeopt.h ; exit 1 )
632b191999-11-08Henrik Grubbström (Grubba)  las.o: $(SRCDIR)/treeopt.h
fe104b2000-11-25Henrik Grubbström (Grubba) # This dependency is here to make sure that lexer[012].h are generated.
450dd92004-04-23Henrik Grubbström (Grubba) # The reason for the split is that some compilers (read cl) generate
fe104b2000-11-25Henrik Grubbström (Grubba) # better code then. Strange, but true. lex.o: lexer0.h lexer1.h lexer2.h
373b292000-11-30Henrik Grubbström (Grubba) lex.protos: lexer0.h lexer1.h lexer2.h
fe104b2000-11-25Henrik Grubbström (Grubba) lexer0.h: lexer.h
d2d1102000-11-27Henrik Grubbström (Grubba)  cp "$(SRCDIR)/lexer.h" "$@"
fe104b2000-11-25Henrik Grubbström (Grubba)  lexer1.h: lexer.h
d2d1102000-11-27Henrik Grubbström (Grubba)  cp "$(SRCDIR)/lexer.h" "$@"
fe104b2000-11-25Henrik Grubbström (Grubba)  lexer2.h: lexer.h
d2d1102000-11-27Henrik Grubbström (Grubba)  cp "$(SRCDIR)/lexer.h" "$@"
fe104b2000-11-25Henrik Grubbström (Grubba) 
d49add2001-04-25Fredrik Hübinette (Hubbe)  # unbug needs interpreter_nd.h to be able to # set separate breakpoints in eval_instruction_with/without_debug interpreter_debug.h: interpreter.h cp "$(SRCDIR)/interpreter.h" "$@"
7626bf2002-04-30Martin Stjernholm interpret.o: interpreter_debug.h $(SRCDIR)/interpret_functions_fixed.h
d49add2001-04-25Fredrik Hübinette (Hubbe) 
5625661997-04-15Fredrik Hübinette (Hubbe) # make dependencies
8e94642003-02-20Martin Stjernholm depend: $(SRC_TARGETS)
fdb4d02002-07-26Henrik Grubbström (Grubba)  gcc -MM -MG $(PREFLAGS) $(SRCDIR)/*.c | $(TMP_BINDIR)/fixdepends.sh "$(SRCDIR)" "$(SRCDIR)" /dev/null
d0f91a2001-01-26Martin Stjernholm  -@(while :; do \ echo foo > cfl.$@; test "`echo cfl.*`" = cfl.$@ && break; \ rm cfl.$@; echo "Waiting to run config.status serially:" cfl.*; sleep 1; \ arb=37; while test $$arb != 0; do arb=`expr $$arb - 1`; done; \ done;) CONFIG_FILES=Makefile CONFIG_HEADERS="" ./config.status || \ (EXITCODE=$$?; rm cfl.$@; exit $$EXITCODE) -@rm cfl.$@
5f84582002-03-09Martin Stjernholm  @( cd modules && { \ rm -f remake; \ $(MAKE) $(MAKE_FLAGS) depend || \ { test -f remake && $(MAKE) $(MAKE_FLAGS) depend; }; \ }) @if [ "x$(RUNPIKE)" != "x$(DEFAULT_RUNPIKE)" -o -x $(TMP_BUILDDIR)/pike ]; then \ $(MAKE) $(MAKE_FLAGS) post_modules_depend; \ else \ echo "Skipping make depend in post_modules since a fresh pike is"; \ echo "needed to make the autogenerated sources there."; \ :; \ fi post_modules_depend: @if [ "x$(RUNPIKE)" != "x$(DEFAULT_RUNPIKE)" -o -x $(TMP_BUILDDIR)/pike ]; then :; \ else $(MAKE) $(MAKE_FLAGS) $(MAKE_PARALLEL) pike; fi @( cd post_modules && { \ rm -f remake; \ $(MAKE) $(MAKE_FLAGS) depend || \ { test -f remake && $(MAKE) $(MAKE_FLAGS) depend; }; \ })
933d361996-04-29Fredrik Hübinette (Hubbe)  #
06983f1996-09-22Fredrik Hübinette (Hubbe) # Pike internal targets
933d361996-04-29Fredrik Hübinette (Hubbe) #
1796d62000-08-14Martin Stjernholm 
6a08802006-06-18Martin Stjernholm # touch static-modules-stamp here to avoid doing this work again if # that target is checked later.
a0ad632006-06-18Martin Stjernholm static_module_objects: $(MODULE_REQUIREMENTS) @MODULE_BUILD_TYPE=static; \ export MODULE_BUILD_TYPE; \ ( cd modules && ( rm remake >/dev/null 2>&1 || : ) && \ ( $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) || \ ( test -f remake && $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) ) ) \ ) || exit $$?
6a08802006-06-18Martin Stjernholm  @touch static-modules-stamp
0a34dc2001-01-23Martin Stjernholm 
6a08802006-06-18Martin Stjernholm static-modules-stamp: $(MODULE_REQUIREMENTS)
a0ad632006-06-18Martin Stjernholm  @MODULE_BUILD_TYPE=static; \ export MODULE_BUILD_TYPE; \ ( cd modules && ( rm remake >/dev/null 2>&1 || : ) && \ ( $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) || \ ( test -f remake && $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) ) ) \ ) || exit $$?
6a08802006-06-18Martin Stjernholm  @touch static-modules-stamp
0a34dc2001-01-23Martin Stjernholm 
9e899b2006-07-05Martin Stjernholm dynamic_module_objects: $(MODULE_REQUIREMENTS) @LDSHARED_BASE_REQS@
a0ad632006-06-18Martin Stjernholm  @MODULE_BUILD_TYPE=dynamic; \ export MODULE_BUILD_TYPE; \ ( cd modules && ( rm remake >/dev/null 2>&1 || : ) && \ ( $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) || \ ( test -f remake && $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) ) ) \ ) || exit $$?
6a08802006-06-18Martin Stjernholm  @touch dynamic-modules-stamp
9e899b2006-07-05Martin Stjernholm dynamic-modules-stamp: $(MODULE_REQUIREMENTS) @LDSHARED_BASE_REQS@
6a08802006-06-18Martin Stjernholm  @MODULE_BUILD_TYPE=dynamic; \ export MODULE_BUILD_TYPE; \ ( cd modules && ( rm remake >/dev/null 2>&1 || : ) && \ ( $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) || \ ( test -f remake && $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) ) ) \ ) || exit $$? @touch dynamic-modules-stamp
a0ad632006-06-18Martin Stjernholm  # Use submakes here to ensure both correct sequencing and that all # modules are properly rechecked. module_objects: @$(MAKE) $(MAKE_FLAGS) static_module_objects @$(MAKE) $(MAKE_FLAGS) dynamic_module_objects
6a08802006-06-18Martin Stjernholm modules/modlist.h: static-modules-stamp modules/modlist_headers.h: static-modules-stamp
0a34dc2001-01-23Martin Stjernholm 
6a08802006-06-18Martin Stjernholm modules/linker_options: static-modules-stamp
0a34dc2001-01-23Martin Stjernholm 
3e91052006-08-05Martin Stjernholm post-module-pike-stamp: @BUILD_PIKE@ dynamic-modules-stamp @touch post-module-pike-stamp
0a34dc2001-01-23Martin Stjernholm 
7d1c1c2006-08-04Martin Stjernholm module.o: modules/modlist_headers.h modules/modlist.h post_modules/modlist_headers.h post_modules/modlist.h
933d361996-04-29Fredrik Hübinette (Hubbe) 
9eab532006-02-27Martin Stjernholm tmodule.o: modules/modlist_headers.h modules/modlist.h
a0ad632006-06-18Martin Stjernholm # Backward compat. post_modules: post_module_objects
3e91052006-08-05Martin Stjernholm post_module_objects: $(MODULE_REQUIREMENTS) post-module-pike-stamp @LDSHARED_BASE_REQS@
9479712006-08-02Martin Stjernholm  @MODULE_BUILD_TYPE=@POST_MODULE_BUILD_TYPE@; \
a0ad632006-06-18Martin Stjernholm  export MODULE_BUILD_TYPE; \ ( cd post_modules && ( rm remake >/dev/null 2>&1 || : ) && \ ( $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) || \ ( test -f remake && $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) ) ) \ ) || exit $$?
9479712006-08-02Martin Stjernholm  @touch post-modules-stamp
a0ad632006-06-18Martin Stjernholm 
3e91052006-08-05Martin Stjernholm post-modules-stamp: $(MODULE_REQUIREMENTS) post-module-pike-stamp @LDSHARED_BASE_REQS@
9479712006-08-02Martin Stjernholm  @MODULE_BUILD_TYPE=@POST_MODULE_BUILD_TYPE@; \
a0ad632006-06-18Martin Stjernholm  export MODULE_BUILD_TYPE; \ ( cd post_modules && ( rm remake >/dev/null 2>&1 || : ) && \ ( $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) || \ ( test -f remake && $(MAKE) $(MAKE_PARALLEL) $(MAKE_FLAGS) ) ) \ ) || exit $$?
9479712006-08-02Martin Stjernholm  @touch post-modules-stamp
a0ad632006-06-18Martin Stjernholm 
9479712006-08-02Martin Stjernholm post_modules/modlist_headers.h: post-modules-stamp
6a08802006-06-18Martin Stjernholm 
9479712006-08-02Martin Stjernholm post_modules/modlist.h: post-modules-stamp
a0ad632006-06-18Martin Stjernholm 
9479712006-08-02Martin Stjernholm post_modules/linker_options: post-modules-stamp
a0ad632006-06-18Martin Stjernholm 
9479712006-08-02Martin Stjernholm pike-complete-stamp: pike post-modules-stamp
6a08802006-06-18Martin Stjernholm  @touch pike-complete-stamp
a0ad632006-06-18Martin Stjernholm 
6ded522001-07-13Henrik Grubbström (Grubba) $(SRCDIR)/interpret_protos.h_src: $(SRCDIR)/interpret_functions.h $(SRCDIR)/strip_opcodes
610d052001-07-06Henrik Grubbström (Grubba)  $(CPP) $(PREFLAGS) -DGEN_PROTOS $(SRCDIR)/interpret_functions.h | $(SRCDIR)/strip_opcodes >$(SRCDIR)/interpret_protos.h_src || { rm $(SRCDIR)/interpret_protos.h_src; exit 1; }
87c7592000-04-18Fredrik Hübinette (Hubbe) 
2ecd522001-01-12Martin Stjernholm lex.o: $(SRCDIR)/lex.c $(SRCDIR)/interpret_protos.h
6e36e52000-11-30Fredrik Hübinette (Hubbe) 
2ecd522001-01-12Martin Stjernholm interpret.o: $(SRCDIR)/lex.c $(SRCDIR)/interpret_protos.h lex_t.o: $(SRCDIR)/lex_t.c $(SRCDIR)/interpret_protos.h
ed1a002000-04-18Henrik Grubbström (Grubba) 
97c0321997-01-28Fredrik Hübinette (Hubbe) language.o: $(SRCDIR)/language.c $(SRCDIR)/object.h $(SRCDIR)/interpret.h $(SRCDIR)/program.h
933d361996-04-29Fredrik Hübinette (Hubbe) 
f11de82005-11-01Henrik Grubbström (Grubba) $(SRCDIR)/language.c_src $(SRCDIR)/language.h_src: $(SRCDIR)/language.yacc
933d361996-04-29Fredrik Hübinette (Hubbe)  @echo "Expect 1 shift/reduce conflict."
f11de82005-11-01Henrik Grubbström (Grubba)  cd $(SRCDIR) && $(YACC) $(YFLAGS) language.yacc mv $(SRCDIR)/y.tab.c $(SRCDIR)/language.c_src mv $(SRCDIR)/y.tab.h $(SRCDIR)/language.h_src
ab9ab52004-10-29Martin Stjernholm 
f11de82005-11-01Henrik Grubbström (Grubba) $(SRCDIR)/language.c: $(SRCDIR)/language.c_src
ab9ab52004-10-29Martin Stjernholm  sed -e 's/YY_COUNT_TYPE/@YY_COUNT_TYPE@/' \ -e 's/YY_FROM_CONST/@YY_FROM_CONST@/' \
e9a52f2005-02-16Henrik Grubbström (Grubba)  -e 's/short[ ]*int[ ]/\/* short *\/ int /g' \ -e 's/(short[ ]*int)/(\/* short *\/ int)/g' \
f11de82005-11-01Henrik Grubbström (Grubba)  < $(SRCDIR)/language.c_src > $(SRCDIR)/language.c
ab9ab52004-10-29Martin Stjernholm 
7626bf2002-04-30Martin Stjernholm $(SRCDIR)/interpret_functions_fixed.h: $(SRCDIR)/interpret_functions.h precompile.sh-stamp
c9788b2002-03-09Martin Stjernholm  ./precompile.sh --cache make_interpret_functions.pike >"$@" "$(SRCDIR)/interpret_functions.h" || { rm "$@"; exit 1; }
f822262001-07-16Fredrik Hübinette (Hubbe) 
b8a6042001-01-19Henrik Grubbström (Grubba) # UnixWare make needs help to find the source file... builtin.o: $(SRCDIR)/builtin.c
4cdb802001-02-23Fredrik Hübinette (Hubbe) iterators.o: $(SRCDIR)/iterators.c
aca4dd2001-02-23Henrik Grubbström (Grubba) 
528fe12004-10-23Martin Nilsson facetgroup.o: $(SRCDIR)/facetgroup.c
344c292001-03-12Henrik Grubbström (Grubba) backend.o: $(SRCDIR)/backend.c
f6ad6a2005-01-03Henrik Grubbström (Grubba) libpike.o: $(SRCDIR)/libpike.c
1dcea91997-04-22Fredrik Hübinette (Hubbe) # Internal testing target run_yacc: $(SRCDIR)/language.c
a1d3642003-12-07Marcus Comstedt $(SRCDIR)/configure $(SRCDIR)/stamp-h.in: $(SRCDIR)/configure.in $(SRCDIR)/aclocal.m4 $(SRCDIR)/acconfig.h cd $(SRCDIR) && ./run_autoconfig --no-recursion . echo foo > $(SRCDIR)/stamp-h.in
933d361996-04-29Fredrik Hübinette (Hubbe) 
f426222006-07-05Martin Stjernholm config.status propagated_variables: $(SRCDIR)/configure $(SRCDIR)/make_variables.in
ee73122006-07-05Martin Stjernholm  ./config.status --recheck @test -f propagated_variables && touch propagated_variables
9b8bee2003-05-09Henrik Grubbström (Grubba) modules/common_module_makefile: $(SRCDIR)/modules/common_module_makefile.in config.status -@(while :; do \ echo foo > cfl.common_module_makefile; test "`echo cfl.*`" = cfl.common_module_makefile && break; \ rm cfl.common_module_makefile; echo "Waiting to run config.status serially:" cfl.*; sleep 1; \ arb=17; while test $$arb != 0; do arb=`expr $$arb - 1`; done; \ done;) CONFIG_FILES=modules/common_module_makefile CONFIG_HEADERS="" ./config.status || \ (EXITCODE=$$?; rm cfl.common_module_makefile; exit $$EXITCODE) -@rm cfl.common_module_makefile modules/static_module_makefile: modules/common_module_makefile $(SRCDIR)/modules/static_module_makefile.in config.status
9f755f2000-10-11Martin Stjernholm  -@(while :; do \ echo foo > cfl.static_module_makefile; test "`echo cfl.*`" = cfl.static_module_makefile && break; \ rm cfl.static_module_makefile; echo "Waiting to run config.status serially:" cfl.*; sleep 1; \
9042412000-10-17Martin Stjernholm  arb=17; while test $$arb != 0; do arb=`expr $$arb - 1`; done; \
9f755f2000-10-11Martin Stjernholm  done;)
a843cf2000-10-10Martin Stjernholm  CONFIG_FILES=modules/static_module_makefile CONFIG_HEADERS="" ./config.status || \ (EXITCODE=$$?; rm cfl.static_module_makefile; exit $$EXITCODE) -@rm cfl.static_module_makefile
1909941997-11-04Henrik Grubbström (Grubba) 
9b8bee2003-05-09Henrik Grubbström (Grubba) modules/dynamic_module_makefile: modules/common_module_makefile $(SRCDIR)/@dmmsrc@ config.status
9f755f2000-10-11Martin Stjernholm  -@(while :; do \ echo foo > cfl.dynamic_module_makefile; test "`echo cfl.*`" = cfl.dynamic_module_makefile && break; \ rm cfl.dynamic_module_makefile; echo "Waiting to run config.status serially:" cfl.*; sleep 1; \
9042412000-10-17Martin Stjernholm  arb=19; while test $$arb != 0; do arb=`expr $$arb - 1`; done; \
9f755f2000-10-11Martin Stjernholm  done;)
a843cf2000-10-10Martin Stjernholm  CONFIG_FILES=modules/dynamic_module_makefile:@dmmsrc@ CONFIG_HEADERS="" ./config.status || \ (EXITCODE=$$?; rm cfl.dynamic_module_makefile; exit $$EXITCODE) -@rm cfl.dynamic_module_makefile
1909941997-11-04Henrik Grubbström (Grubba) 
6265aa1997-01-18Fredrik Hübinette (Hubbe) Makefile: $(SRCDIR)/Makefile.in $(SRCDIR)/dependencies config.status
9f755f2000-10-11Martin Stjernholm  -@(while :; do \ echo foo > cfl.$@; test "`echo cfl.*`" = cfl.$@ && break; \ rm cfl.$@; echo "Waiting to run config.status serially:" cfl.*; sleep 1; \
9042412000-10-17Martin Stjernholm  arb=23; while test $$arb != 0; do arb=`expr $$arb - 1`; done; \
9f755f2000-10-11Martin Stjernholm  done;)
a843cf2000-10-10Martin Stjernholm  CONFIG_FILES=Makefile CONFIG_HEADERS="" ./config.status || \ (EXITCODE=$$?; rm cfl.$@; exit $$EXITCODE) -@rm cfl.$@
40bb511999-02-05Martin Stjernholm  touch remake
549f8b1996-05-02Fredrik Hübinette (Hubbe)  @echo "Run make again" @exit 1
933d361996-04-29Fredrik Hübinette (Hubbe) 
3a5b1d2000-05-24Fredrik Hübinette (Hubbe) precompile.sh: $(SRCDIR)/precompile.sh.in ./config.status
9f755f2000-10-11Martin Stjernholm  -@(while :; do \ echo foo > cfl.$@; test "`echo cfl.*`" = cfl.$@ && break; \ rm cfl.$@; echo "Waiting to run config.status serially:" cfl.*; sleep 1; \
9042412000-10-17Martin Stjernholm  arb=29; while test $$arb != 0; do arb=`expr $$arb - 1`; done; \
9f755f2000-10-11Martin Stjernholm  done;)
a843cf2000-10-10Martin Stjernholm  CONFIG_FILES=precompile.sh CONFIG_HEADERS="" ./config.status || \ (EXITCODE=$$?; rm cfl.$@; exit $$EXITCODE) -@rm cfl.$@
3a5b1d2000-05-24Fredrik Hübinette (Hubbe) 
690de62001-01-23Martin Stjernholm # A dependency on precompile.sh-stamp only ensures that precompile.sh # exists, not that it's older than the target. In source dists, # precompile.sh is almost always newer than the targets that depend on # it, e.g. builtin.c that comes with the dist.
7892b32002-08-20Henrik Grubbström (Grubba) # # The date stamp used to be 0103000070, but that seems to confuse some # recent OS's, that haven't heard of the 70's...
c5465e2003-10-09Henrik Grubbström (Grubba) # # Note that gnu touch is stupid, and warns about the syntax; thus the # redirect of stderr.
690de62001-01-23Martin Stjernholm precompile.sh-stamp: precompile.sh
c5465e2003-10-09Henrik Grubbström (Grubba)  @touch 0101010185 precompile.sh-stamp 2>/dev/null
690de62001-01-23Martin Stjernholm 
97c0321997-01-28Fredrik Hübinette (Hubbe) $(SRCDIR)/machine.h.in: $(SRCDIR)/stamp-h.in
fc085b1998-05-29Henrik Grubbström (Grubba)  @if test -f $(SRCDIR)/machine.h.in; then :; else \
85222d1998-05-29Henrik Grubbström (Grubba)  rm $(SRCDIR)/stamp-h.in; $(MAKE) $(SRCDIR)/stamp-h.in; \
fc085b1998-05-29Henrik Grubbström (Grubba)  fi
5634851999-12-31Fredrik Hübinette (Hubbe) 
933d361996-04-29Fredrik Hübinette (Hubbe) machine.h: stamp-h
aa411b1998-05-22Henrik Grubbström (Grubba)  @if test -f machine.h; then :; else \
adbb821998-05-22Henrik Grubbström (Grubba)  rm stamp-h; $(MAKE) stamp-h; \
aa411b1998-05-22Henrik Grubbström (Grubba)  fi
5634851999-12-31Fredrik Hübinette (Hubbe) 
fc085b1998-05-29Henrik Grubbström (Grubba) stamp-h: $(SRCDIR)/stamp-h.in $(SRCDIR)/machine.h.in config.status
9f755f2000-10-11Martin Stjernholm  -@(while :; do \ echo foo > cfl.$@; test "`echo cfl.*`" = cfl.$@ && break; \ rm cfl.$@; echo "Waiting to run config.status serially:" cfl.*; sleep 1; \
9042412000-10-17Martin Stjernholm  arb=31; while test $$arb != 0; do arb=`expr $$arb - 1`; done; \
9f755f2000-10-11Martin Stjernholm  done;)
a843cf2000-10-10Martin Stjernholm  CONFIG_FILES="" CONFIG_HEADERS=machine.h ./config.status || \ (EXITCODE=$$?; rm cfl.$@; exit $$EXITCODE)
6220b62001-01-22Martin Stjernholm  touch stamp-h
a843cf2000-10-10Martin Stjernholm  -@rm cfl.$@
933d361996-04-29Fredrik Hübinette (Hubbe) 
0b3c702002-05-04Martin Stjernholm testsuite: $(SRCDIR)/testsuite.in $(TMP_BINDIR)/mktestsuite
d4c7ae2001-06-11Henrik Grubbström (Grubba)  if test "$$PIKE_PATH_TRANSLATE" = ""; then \
5e238c2001-06-10Henrik Grubbström (Grubba)  $(TMP_BINDIR)/mktestsuite $(SRCDIR)/testsuite.in >testsuite \
53e23e2005-03-15Martin Nilsson  -DSRCDIR="`echo $(SRCDIR)|./posix_to_native.sh`"; \
5e238c2001-06-10Henrik Grubbström (Grubba)  else \ $(TMP_BINDIR)/mktestsuite $(SRCDIR)/testsuite.in >testsuite \
53e23e2005-03-15Martin Nilsson  -DSRCDIR="`echo $(SRCDIR)|sed -e $$PIKE_PATH_TRANSLATE|./posix_to_native.sh`"; \
5e238c2001-06-10Henrik Grubbström (Grubba)  fi
933d361996-04-29Fredrik Hübinette (Hubbe) 
9f7b7e2000-01-09Fredrik Hübinette (Hubbe) header_uncompress: $(SRCDIR)/uncompressor.c
6f0f772006-08-03Martin Stjernholm  $(CC) -O2 -static $(SRCDIR)/uncompressor.c -o header_uncompress @UNCOMPRESS_LIBZ@
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  uncompress_header: $(SRCDIR)/uncompressor.c header_uncompress
6f0f772006-08-03Martin Stjernholm  $(CC) -O2 -static $(SRCDIR)/uncompressor.c -o uncompress_header @UNCOMPRESS_LIBZ@ -DSEEK_TO=`wc -c header_uncompress|sed 's/[^0-9]//g'`
9f7b7e2000-01-09Fredrik Hübinette (Hubbe)  test "`wc -c header_uncompress|sed 's/[^0-9]//g'`" = "`wc -c uncompress_header|sed 's/[^0-9]//g'`"
91006b2000-03-21Fredrik Hübinette (Hubbe) HFILES= \
1f21332000-07-28Fredrik Hübinette (Hubbe)  operators.protos \ array.protos \ fd_control.protos \ backend.protos \ fdlib.protos \ bignum.protos \ fsort.protos \ pike_memory.protos \ pike_types.protos \ gc.protos \ port.protos \ callback.protos \ hashtable.protos \ program.protos \ interpret.protos \ constants.protos \ language.protos \ queue.protos \ cpp.protos \ rusage.protos \ cyclic.protos \ lex.protos \ security.protos \ signal_handler.protos \
6895292000-11-29Fredrik Hübinette (Hubbe)  pike_search.protos \
1f21332000-07-28Fredrik Hübinette (Hubbe)  docode.protos \ main.protos \ stralloc.protos \ mapping.protos \ stuff.protos \ dynamic_buffer.protos \ svalue.protos \ dynamic_load.protos \ module_support.protos \ threads.protos \ multiset.protos \ encode.protos \ object.protos \ error.protos \ opcodes.protos \ version.protos \
ab56702001-04-30Martin Stjernholm  builtin.protos \
c8f03a2002-04-12Henrik Grubbström (Grubba)  iterators.protos \
528fe12004-10-23Martin Nilsson  facetgroup.protos \
ab56702001-04-30Martin Stjernholm  rbtree.protos
1f21332000-07-28Fredrik Hübinette (Hubbe) 
690de62001-01-23Martin Stjernholm $(HFILES): precompile.sh-stamp
9eb0082000-08-02Henrik Grubbström (Grubba) 
690de62001-01-23Martin Stjernholm import-stamp: $(HFILES) precompile.sh-stamp
d0f91a2001-01-26Martin Stjernholm  @./precompile.sh fake_dynamic_load.pike >import_functions.tmp $(HFILES)
1f21332000-07-28Fredrik Hübinette (Hubbe)  @cmp import_functions.tmp import_functions.h >/dev/null || mv import_functions.tmp import_functions.h @echo hej >import-stamp import_functions.h: import-stamp test -f import-stamp || ( rm import-stamp ; $(MAKE) import-stamp ) export_functions.c: import_functions.h touch export_functions.c
9f7b7e2000-01-09Fredrik Hübinette (Hubbe) 
e3436f2002-04-11Martin Stjernholm # Must have manual depends on all the bytecode methods in the code # dir, since make depend will only include the one that was chosen, # and that doesn't suffice in source dists.
737bde2002-04-28Martin Stjernholm $(SRCDIR)/pikecode.h: \ $(SRCDIR)/code/ia32.h \
c477432006-04-27Tor Edvardsson  $(SRCDIR)/code/amd64.h \
737bde2002-04-28Martin Stjernholm  $(SRCDIR)/code/sparc.h \ $(SRCDIR)/code/ppc32.h \
a00f6f2007-04-01Marcus Comstedt  $(SRCDIR)/code/ppc64.h \
737bde2002-04-28Martin Stjernholm  $(SRCDIR)/code/computedgoto.h \ $(SRCDIR)/code/bytecode.h touch $(SRCDIR)/pikecode.h $(SRCDIR)/pikecode.c: \ $(SRCDIR)/code/ia32.c \
c477432006-04-27Tor Edvardsson  $(SRCDIR)/code/amd64.c \
737bde2002-04-28Martin Stjernholm  $(SRCDIR)/code/sparc.c \ $(SRCDIR)/code/ppc32.c \
a00f6f2007-04-01Marcus Comstedt  $(SRCDIR)/code/ppc64.c \
737bde2002-04-28Martin Stjernholm  $(SRCDIR)/code/computedgoto.c \ $(SRCDIR)/code/bytecode.c touch $(SRCDIR)/pikecode.c
e3436f2002-04-11Martin Stjernholm 
6265aa1997-01-18Fredrik Hübinette (Hubbe) @dependencies@